Automated Geospatial Watershed Assessment (AGWA) Documentation

EPA/600/C-13/148
ARS/296053

Automated Geospatial Watershed Assessment (AGWA)

USDA-ARS
Southwest Watershed Research Center
Tucson, Arizona

US – EPA
Office of Research and Development
Las Vegas, Nevada

University of Wyoming
Rangeland Ecology and Watershed Management
Laramie, Wyoming


Section 1 - Disclaimer

Section 1
Disclaimer

The development of this document and the AGWA tool has been funded by the U.S. Environmental Protection Agency and carried out by the U.S. Department of Agriculture's Agricultural Research Service. Mention of trade names or commercial products does not constitute endorsement or recommendation for use by the U.S. Environmental Protection Agency or the U.S. Department of Agriculture. The Automated Geospatial Watershed Assessment (AGWA) tool described in this manual is applied at the user's own risk. The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. The U.S. Environmental Protection Agency, the U.S. Department of Agriculture, and the system authors cannot assume responsibility for system operation, output, interpretation, or use. In no event shall the authors, U.S. Environmental Protection Agency, or the U.S. Department of Agriculture be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the software.


Section 2 - Acknowledgements

Section 2
Acknowledgements

The AGWA Team

AGWA has been under continuous development for a number of years and has included a number of releases and version numbers. The AGWA team has included a number of people with a variety of roles who contributed to AGWA. Shea Burns, Averill Cate, Dave Goodrich, Phil Guertin, Mariano Hernandez, Bill Kepner, Yoga Korgaonkar, Lainie Levick, Sapana Lohani-Joshi, Jamie Massart, Paul Miller, Ryan Miller, Scott Miller, Soren Scott, Darius Semmens, Gabe Sidman, Casey Tifft, and Carl Unkrich are acknowledged for their contributions. Long-term financial and in-kind support, primarily from the USDA-ARS, US-EPA, and the University of Arizona, are also gratefully acknowledged.

KINEROS

Carl Unkrich is acknowledged for providing assistance with the integration of KINEROS2 with AGWA. The AGWA developers and users have benefited greatly from his contribution of an AGWA-specific KINEROS2 version in earlier versions of the software and the time spent helping the AGWA developers and users.

SWAT

The authors of SWAT2000 are acknowledged for the assistance provided integrating the model. Nancy Sammons and Mike White are acknowledged for their assistance troubleshooting SWAT2005 and understanding the appropriate configurations for different watershed discretization conceptualizations.

KINEROS-OPUS

Roger Smith is acknowledged for his assistance integrating the KINEROS-OPUS model. Carl Unkrich is also acknowledged for his assistance troubleshooting and debugging the model.

Post-fire modeling

Evan Canfield is acknowledged for his work on post-fire runoff response, specifically for his contribution of post-fire parameter values for KINEROS and SWAT and assistance and suggestions for the post-fire modifications to AGWA.


Section 3 - Introduction

Section 3
Introduction

The Automated Geospatial Watershed Assessment (AGWA) tool is a multipurpose hydrologic analysis system for use by watershed, water resource, land use, and biological resource managers and scientists in performing watershed- and basin-scale studies. It was developed by the U.S. Agricultural Research Service's Southwest Watershed Resource Center to address four objectives:

1. To provide a simple, direct, and repeatable method for hydrologic model parameterization

2. To use only basic, attainable GIS data

3. To be compatible with other geospatial watershed-based environmental analysis software

4. To be useful for scenario development and alternative futures simulation work at multiple scales.

AGWA provides the functionality to conduct all phases of a watershed assessment for two widely used watershed hydrologic models: the Soil & Water Assessment Tool (SWAT); and the KINematic Runoff and EROSion model, KINEROS2. SWAT, developed by the United States Department of Agriculture (USDA) Agricultural Research Service (ARS), is a long-term simulation model for use in large (river-basin scale) watersheds. KINEROS, also developed by the USDA-ARS, is an event driven model designed for small semi-arid watersheds. The AGWA tool has intuitive interfaces for both models that provide the user with consistent, reproducible results in a fraction of the time formerly required with the traditional approach to model parameterization.

Data used in AGWA include Digital Elevation Models (DEMs), land cover grids, soils data, and precipitation data. All are available at no cost over the internet for North America, and other areas around the world. A more detailed description of these data types can be found in the Data Requirements section.

AGWA utilizes a GIS framework as its backbone. The GIS framework is ideally suited for watershed-based analysis, which relies heavily on landscape information for both deriving model input and presenting model results. AGWA 1.5 and earlier was developed in Avenue and distributed as an extension for the Environmental Systems Research Institute’s (ESRI’s) ArcView version 3.x, a widely used and relatively inexpensive geographic information system (GIS) software package. AGWA 2.x, developed in the Microsoft .NET framework by extending ArcObjects and distributed as a custom setup program, was a complete rewrite of AGWA for ESRI’s ArcGIS 9.x, 10.0, and 10.1. AGWA 3.x builds off of AGWA 2.x and utilizes much of the same codebase but has undergone significant changes and includes many upgrades from the previous version, and is now distributed as an ESRI add-in for ArcGIS 10.x. For more background on AGWA and the transition from AGWA 1.5 to AGWA 2.x, please visit the AGWA website at http://www.tucson.ars.ag.gov/agwa/ and refer to the AGWA2 Design Document.


Section 4 - Release Notes

Section 4
Release Notes

The transition from AGWA 1.5 to AGWA 2.x was driven by the migration of existing and potential AGWA users from ESRI’s ArcView 3.x to ESRI’s ArcGIS Desktop 9.x software and the withdrawal of ESRI support for ArcView 3.x. The transition from AGWA 2.x to AGWA 3.x is marked by significant feature additions to AGWA as well as substantial reorganization of and improvement to the underlying geodatabase model where AGWA stores outputs.

Users should not expect identical outputs across all versions of AGWA. New versions may include bug fixes, in addition to new features that may subtly or significantly manifest as differences in model results between versions. It should be noted that any differences should in fact be improvements, and that, whenever possible, the most recent version should be used. It must also be stressed that though there may be differences between versions, these differences in no way compromises the ability of any versions (compared to itself) to be used as a relative change assessment tool.

4.1 2.0.0.742/2.0.0.744/2.0.0.746 (20071116)

· Initial AGWA 2.x release for ArcGIS 9.0, 9.1, and 9.2.

· The directory structures of the AGWA home directory and the output workspace have been refined. Delineations, discretizations, and related look-up tables are now stored in a geodatabase by delineation in a user-specified location rather than as shapefiles and DBFs in a project subdirectory.

· Delineations and discretizations are also no longer simplified/smoothed with feature weeding, producing polygons and polylines that are jagged instead of smoothed.

4.2 2.0.1.748/2.0.1.750/2.0.1.752 (20071217)

· Removal of Service Pack requirements for ArcGIS 9.0, 9.1, and 9.2 installations of AGWA 2.0.

· Nitrogen and phosphorous modeling and results visualization in SWAT.

· A soil parameterization bug fix for SSURGO and the new version of STATSGO.

· A land cover and soils parameterization bug fix for large datasets.

4.3 2.1.0.754/2.1.0.756/2.1.0.758 (20080930)

· Support for SWAT2005

· Additional error trapping and bug fixes

· Changes to the writing of model input files and model execution. This process has been separated into two steps, allowing advanced users to customize their input files after writing and before model execution.

4.4 2.1.1.760/2.1.1.762/2.1.1.764 (20081008)

· A bug fix that occurs when attempting to run KINEROS. The bug was introduced in the previous release.

4.5 2.2.0.766/2.2.0.768/2.2.0.770 (20081231)

· A climate assessment tool for SWAT.

· The ability to generate daily precipitation data using the SWAT weather generator instead of using daily observed data.

· A typo in the SWAT Input Files form has been discovered. On the Subbasin Adjustment Factors of the Advanced Inputs tab, it reads % change in parentheses for each adjustment factor. This is correct for the precipitation adjustment factor, but should read °C for temperature, MJ/m²-day for radiation, and a dimensionless fraction for relative humidity.

4.6 2.3.0.772 (20091008)

· Initial AGWA 2.x release for ArcGIS 9.3.1.

· KINEROS-OPUS model added.

· KINEROS2 model updated (parameter SAT interpretation now represents the actual fraction of pore space filled 0-SMAX instead of the relative fraction 0-1 between SR and SMAX)

· Added minimum value trapping to the writing of KINEROS parameter files.

· Added output of error information to the hard coded "C:\AGWA2\logging\errors.txt" location.

· Fixed bug where the AGWA help file would not open when the help button was clicked.

· Fixed bug in writing SWAT input files with FAO soils parameterization.

· Fixed bug in writing option 1 of user-defined precipitation for KINEROS.

4.7 2.3.1.774 (20091106)

· Fixed bug introduced in 2.3.0.772 for SWAT element parameterization where watershed slopes were not set.

· Fixed bug in FAO soils parameterization (requires updated FAO soils tables available in the Datafiles section).

4.8 2.3.2.776 (20100810)

· Fixed bug in some discretization configurations with internal gages for both KINEROS and SWAT which resulted in sequence not being calculated correctly.

· Fixed bug in some discretization configurations where internal gages were used for SWAT which caused improper routing in the SWAT .FIG file.

· Fixed bug that caused the TMPSIM code in the .COD file for SWAT2000 to always default to generating temperature data even when observed data was input.

· Fixed bug caused by having upWidth and upDepth variables switched in some stream geometry calculations.

· Removed SWAT2005 from Simulation Options menu because of routing problems.

4.9 2.4.0.778(20110106)

· Added support for post-fire land cover modification using burn severity maps.

· Added About AGWA form containing AGWA version number.

· Improved reliability/robustness.

4.10 2.4.1.824(20111007)

· Initial AGWA 2.x release as an ESRI add-in for ArcGIS 10.0

· Improved reliability/robustness.

4.11 2.5.0.838 (20111020)

· Added hydrograph viewer for KINEROS.

· Improved reliability/robustness.

4.12 2.5.1.843 (20111024)

· Bug fixes.

4.13 2.5.2.846 (20111024b)

· Bug fixes.

4.14 2.6.0.916 (20120216)

· Add SWAT2005 back into AGWA.

· Improved reliability/robustness.

4.15 2.6.1.935/2.6.1.941 (20120323)

· Improved reliability/robustness.

4.16 3.0.0.1232/3.0.0.1240

· Initial AGWA 3.x release for ArcGIS 10.0 and 10.1.

4.17 3.0.1.1257/3.0.1.1259

· Add nodes feature class to the discretization feature dataset in the delineation geodatabase.

· Fixed bug that caused ArcMap 10.1 SP1 to crash during or after parameterizations with SSURGO soils.

· Fixed bug that prevented KINEROS simulation input files from being written.

· Fixed bug that prevented SWAT simulation results from being imported when the simulation used N/P (nitrogen and phosphorous).

4.18 3.0.2.1263/3.0.2.1265

· Fixed bug introduced in 3.0.1 which caused AGWA to crash when clicking Continue in the Land Cover and Soils Parameterization form when the parameterization look-up tables hadn't been created yet.


Section 5 - Watershed Modeling

Section 5
Watershed Modeling

Since the development of the Stanford Watershed Model (Crawford and Linsley, 1966) numerous hydrologic models have been developed that use watersheds as the fundamental spatial unit to describe the various components of the hydrologic cycle. Watershed models have five basic components: watershed (hydrologic) processes and characteristics; input data; governing equations; initial and boundary conditions; and output (Singh, 1995). Despite their uniform general structure, however, various treatments of the five model components have resulted in a significant range of available model types. Distinguishing between these different model types is an important first step in selecting the appropriate model for a project.

Watershed models are generally classified according to the method they use to describe the hydrologic processes, the spatial and temporal scales for which they are designed, and any specific conditions or intended use for which they are designed. Some knowledge of these components is highly recommended when selecting the combination that is best suited to a specific watershed and task.

5.1 Process Description

Watershed models can be divided into two main types according to how they treat the spatial component of watershed hydrology (Figure 1). Lumped, or lumped-parameter models treat an entire watershed as one unit and take no account of the spatial variability in processes, input, boundary conditions, or the hydrologic properties of the watershed. In contrast, distributed models ideally account for all spatial variability in the watershed explicitly by solving the governing equations for each pixel in a grid. In reality, neither of these extremes are suitable for watershed modeling because a lumped framework is a gross oversimplification and a distributed framework requires enormous amounts of data that are not readily obtainable. As a result most models have combined aspects of both approaches and subdivide the watershed into smaller elements with similar hydrologic properties that can be described by lumped parameters. This model type is commonly referred to as partially distributed, or quasi-distributed.

Figure 1. Process-based classification of watershed models, after Singh (1995).

The description of the hydrologic processes within a watershed model can be deterministic, stochastic, or some combination of the two. Deterministic models are models in which no random variables are used, i.e. for each unique set of input data the model will compute fixed, repeatable results (e.g. Law and Kelton, 1982). The governing equations describing the hydrologic and soil erosion processes in a deterministic model should be a major factor in selecting a model. Models with equations based on fundamental principles of physics or robust empirical methods are the most widely used in computing surface runoff and sediment yield. Stochastic models, in contrast, use distributions for each variable to generate random values for model input (e.g. Clarke, 1998). As a result, the output from a stochastic model is itself random, with its own distribution, and can thus be presented as a range of values with confidence limits.

The vast majority of watershed models are deterministic, including both KINEROS and SWAT. Fully stochastic models, in which all components of the model are stochastic, are virtually non-existent (Singh, 1995). Stochastic generation of input variables, however, is commonly used to optimize models, or determine model sensitivity to various input variables. If only parts of a model are described by the laws of probability then it is commonly referred to as quasi-deterministic, quasi-stochastic, or mixed.

5.2 Spatial Scale

A watershed can range from as little as one hectare to hundreds of thousands of square kilometers. The spatial scale for which a model is designed can play a significant role in how specific processes are treated. Runoff in large watersheds (> 1000 km2), for instance, is dominated by channel storage. In contrast, runoff from small watersheds (< 100 km2) is dominated by overland flow. For intermediate watersheds it is important to account for the essential concept of homogeneity and averaging of hydrologic process in the models.

Spatial scale is an important criterion in the selection of a model because the storage characteristics may vary at different watershed scales, that is, large watersheds have well developed channel networks and channel phase, and thus, channel storage is dominant. Such watersheds are less sensitive to short duration, high intensity rainfalls. On the other hand, small watersheds are dominated by the land phase and overland flow, have relatively less conspicuous channel phase, and are highly sensitive to high intensity, short duration rainfalls.

5.3 Temporal Scale

Hydrologic processes may occur at different time scales, therefore it is important to consider models that operate from event to daily to yearly time scales. At the event time scale, models typically do not compute inter-storm soil moisture conditions and therefore this information must be provided as an initial condition to initiate the model run. Event based models may be employed for storm events of relatively short duration or to finalize the design of technically complex structural and nonstructural management practices. On the other hand, continuous-time hydrologic models can simulate precipitation, available surface storage, snowmelt, evapotranspiration, soil moisture, and infiltration in a seasonal framework. These models typically operate on a time interval ranging from a fraction of an hour to a day. The principal advantage of continuous modeling is that it can provide long-term series of water and pollutants loadings.

5.4 Land Use

Many studies have shown that the land uses within a watershed can account for much of the variability in stream water quality (Omernick, 1987; Hunsaker et al., 1992; Charbonneau and Kondolf, 1993; Roth et al., 1996). Agriculture on slopes greater than three percent, for example, increases the risk of erosion (Wischmeier and Smith 1978). A drastic change in vegetation cover, such as clear cutting in the Pacific northwest, can produce 90% more runoff than in watersheds unaltered by human practices (Franklin, 1992). The linkage between intact riparian areas and water quality is well established (Karr and Schlosser, 1978; Lowrance et al., 1984). For example, riparian habitats function as "sponges", greatly reducing nutrient and sediment runoff into streams (Peterjohn and Correll, 1984).

The percentage and location of natural land cover influence the amount of energy that is available to move water and materials (Hunsaker and Levine, 1995). Forested watersheds dissipate energy associated with rainfall, whereas watersheds with bare ground and anthropogenic cover are less able to do so (Franklin, 1992). The percentage of the watershed surface that is impermeable, due to urban and road surfaces, influences the volume of water that runs and increases the amount of sediment that can be moved (Arnold and Gibbons, 1996). Watersheds with highly erodible soils tend to have greater potential for soil loss and sediment delivery to streams than watersheds with non-erodible soils.

Moreover, intense precipitation events may exceed the energy threshold and move large amounts of sediment across a degraded watershed (Junk et al., 1989; Sparks, 1995). It is during these events that human-induced landscape changes may manifest their greatest negative impact.

A direct and powerful link exists between vegetation and hydrological processes in semi-arid environments. Vegetation plays a pivotal role in determining the amount and timing of the runoff which ultimately supplies mass and energy for the operation of hydrologic and erosive processes (Graf, 1988). Most analyses that assess the variability of sediment yield demonstrate that at the lower end of the precipitation scale (representing semi-arid conditions), small changes in annual precipitation bring about major changes in vegetation communities and associated sediment yields (Graf, 1988). For example, for a mean annual temperature of 10° C, the Langbein and Schumm (1958) curve reaches a peak at an effective precipitation of about 300 mm (Figure 2), trailing off at lower values because of lower runoff totals and at higher ones because an increasingly abundant vegetation cover affords better protection against erosion.

Figure 2. Erosion as a function of precipitation. After Langbein & Schumm (1958).

It should be clearly noted that methods for transforming various land cover and land use characteristics into distributed hydrologic model parameters are not well developed for a wide range of conditions. For management purposes, many approaches rely largely on empirical studies from large numbers of small plots and catchments to relate land cover and land use to effective hydrologic model parameters. The curve number method (Chow et al., 1988) and the USLE or RUSLE method for predicting soil erosion (Renard et al., 1997) are examples of this type of approach to relate land cover/land use to hydrologic model parameters. The transformation of land cover/land use conditions into meaningful hydrologic and erosion parameters, and quantifying the associated uncertainty is a major challenge in watershed modeling.

5.5 Effects of aggregation of landscape attributes on watershed response

Recent papers (e.g. Roth et al., 1996; Weller et al., 1996) suggest that the importance of landscape features may change in different environmental settings, or when moving from one spatial scale to another. Therefore, methods to analyze and interpret broad spatial scales are becoming increasingly important for hydrological and ecological studies. Parameters and processes important at one scale are frequently not important or predictive at another scale, and information is often lost as spatial data are considered at coarser scales of resolution (Meentemeyer and Box, 1987). Furthermore, hydrological problems may also require the extrapolation of fine-scale measurement for the analysis of broad-scale phenomena. Therefore, the development of methods that will preserve information across scales or quantify the loss of information with changing scales has become a critical task.

Wood et al. (1988) carried out an empirical averaging experiment to assess the impact of scale. They averaged runoff over small subwatersheds, aggregating the subwatersheds into larger watersheds, and repeating the averaging process. By plotting the mean runoff against mean subwatershed area, they noted that the variance decreased until it was rather negligible at a watershed scale of about 1 km2. That analysis has been repeated for the runoff ratio (Wood, 1994) and evaporation (Famiglietti and Wood, 1995) using data from Kings Creek, which was part of the FIFE '87 experiment. Results from the experiment show that at small scales there is extensive variability in both runoff and evaporation. This variability appears to be controlled by variability in soils and topography whose correlation length scales are on the order of 102 - 103m, typical of hillslopes. At an increased spatial scale, the increased sampling of hillslopes leads to a decrease in the difference between subwatershed responses. At some scale, the variance between hydrologic response for watersheds of the same scale should reach a minimum.

5.6 Integration of geographic information systems and remote sensing in hydrologic modeling

Spatially distributed models of watershed hydrological processes have been developed to incorporate the spatial patterns of terrain, soils, and vegetation as estimated with the use of remote sensing and geographic information systems (GIS) (Band et al., 1991; 1993; Famiglietti and Wood, 1991; 1994; Moore and Grayson, 1991; Moore et al., 1993; Wigmosta et al., 1994; Star et al., 1997). This approach makes use of various algorithms to extract and represent watershed structure from digital elevation data. Land surface attributes are mapped into the watershed structure as estimated directly from remote sensing imagery (e.g. canopy leaf area index), digital terrain data (slope, aspect, contributing drainage area) or from digitized soil maps, such as soil texture or hydraulic conductivity assigned by soil series.

Over the past decade numerous approaches have been developed for automated extraction of watershed structure from grid digital elevation models (e.g. Mark et al., 1984; O'Callagham and Mark, 1984; Band, 1986; Jenson and Dominque, 1988; Moore et al., 1988; Martz and Garbrecht, 1993; Garbrecht and Martz, 1993; 1995; 1996). O'Callagham and Mark (1984) define a digital elevation model (DEM) as any numerical representation of the elevation of all or part of a planetary surface, given as a function of geographic location. The most widely used method for the extraction of stream networks that has emerged is to accumulate the contributing area upslope of each pixel through a tree or network of cell to cell drainage paths and then prune the tree to a finite extent based on a threshold drainage area required to define a channel or to seek local morphological evidence in the terrain model that a channel or valley exists (Band and Moore, 1995).

The techniques used for delineation of the drainage path network by surface routing of drainage area and local identification of valley forms are ultimately dependent on a topographic signal generated in a local neighborhood on the DEM. As the approach is used to extract watershed structure with increasingly lower resolution terrain data, higher frequency topographic information is lost as the larger sampling dimensions of the grids act as a filter. Therefore, if watershed structural information is used to drive the hydrological model, the scaling behavior and consistency of the derived stream network with grid dimension needs to be addressed. One of the primary questions dealing with automated extracted channel network is that of the appropriate drainage density. Some authors suggest criteria to find this appropriate scale. For example, Goodrich (1991) found a drainage density of approximately 0.65 to 1.52 x 10-3m for watersheds greater than 1 hectare was adequate for kinematic runoff modeling in semi-arid regions. Similarly, La Barbera and Roth (1994) proposed a filtering procedure based on the identification of threshold value for the quantity Ask, where A is the contributing area, S the stream slope and k = 2. This procedure consists in the progressive removal from the drainage network of the first order stream which presents the minimum Ask value; the procedure is iterated up to a given target value for the area drained by first order streams. Calore et al. (1997) found that above a certain threshold, an increase in resolution in the spatial description of drainage networks obtained from a DEM cannot be directly linked to an increase of information. The criterion they used for assessing the amount of information contained in the drainage was based on the information entropy concept of Shannon (1948).

Land use is an important watershed surface characteristic that affects infiltration, erosion, and evapotranspiration. Thus, almost any physically based hydrologic model uses some form of land use data or parameters based on these data (Spanner et al., 1990; 1994; Nemani et al., 1993). Distributed models, in particular, need specific data on land use and their location within the basin. Some of the first research for adapting satellite derived land use data was done by Jackson et al. (1976) with the U.S. Army Corps of Engineers STORM Model (U.S. Army Corps of Engineers, 1976). However, most of the work on adapting remote sensing to hydrologic modeling has been with the Soil Conservation Service (SCS) runoff curve number model (U.S. Department of Agriculture, 1972). The SCS model has been widely used in hydrology and water resources planning of agricultural areas. The model was originally developed for predicting runoff volumes from agricultural fields and small watersheds. However, it has been expanded for subsequent use in a wide variety of conditions at many basin sizes including urban and suburban areas. In early work with remotely sensed data, Jackson et al. (1977) demonstrated that land cover (particularly the percentage of impervious surface) could be used effectively in the STORM Model (U.S. Army Corps of Engineers, 1976). In a study of the upper Anacostia River basin in Maryland, Ragan and Jackson (1980) demonstrated that Landsat-derived land use data could be used for calculating synthetic flood frequency relationships. Results can be erroneous if land use is mislabeled. A study by the U.S. Army Corps of Engineers (Rango et al., 1983) estimated that any individual pixel may be incorrectly classified about one-third of the time. However, by aggregating land use over a significant area, the misclassification of land use can be reduced to about 2% (Engman and Gurney, 1991).

More recently, vegetation classification studies implementing digital satellite data have utilized higher spatial, spectral, and radiometric resolution Landsat Thematic Mapper (TM) data with much more powerful computer hardware and software. These studies have shown that the higher information content of TM data combined with the improvements in image processing power result in significant improvements in image processing power resulting in significant enhancement in classification accuracy for more distinctive classes (Congalton et al., 1998).

A detailed analysis of the effects of the thematic accuracy of land cover is necessary before any attempt on using the hydrologic modeling tool to determine the vulnerability of semi-arid landscapes to land cover changes. The accuracy of maps made from remotely sensed data is measured by two types of criteria (Congalton and Green, 1999): location accuracy, and classification or thematic accuracy. Location accuracy refers to how precisely map items are located relative to their true location on the ground. Thematic accuracy refers to the accuracy of the map label in describing a class or condition on the earth. For example, if the earth's surface was classified as forest, thematic map accuracy procedures will determine whether or not forest has been accurately labeled forest or inaccurately labeled as another class, such as water.

The widespread acceptance and use of remotely sensed data has been and will continue to be dependent on the quality of the map information derived from it. However, map inaccuracies or error can occur at many steps throughout any remote sensing project. According to Congalton and Green (1999), the purpose of quantitative accuracy assessment is the identification and measurement of map errors. Quantitative accuracy assessment involves the comparison of a site on a map against reference information for the same site. The reference data is assumed to be correct.

The history of accuracy assessment of remotely sensed data is relatively short, beginning around 1975. Researchers, notably Hord and Brooner (1976), van Genderen and Lock (1977), proposed criteria and techniques for testing map accuracy. In the early 1980s more in-depth studies were conducted and new techniques proposed (Rosenfield et al., 1982; Congalton et al., 1983; and Aronoff, 1985). Finally, from the late 1980s up to present time, a great deal of work has been conducted on accuracy assessment. An important contribution is the error matrix, which compares information from reference sites to information on the map for a number of sample areas. The matrix is a square array of numbers set out in rows and columns that express the labels of samples assigned to a particular category in one classification relative to the labels of samples assigned to a particular category in another classification. One of the classifications, usually the columns, is assumed to be correct and is termed the reference data. The rows usually are used to display the map labels or classified data generated from remotely sensed data. Error matrices are very effective representation of map accuracy, because the individual accuracy of each map category is plainly described along with both errors of inclusion (commission errors) and errors of exclusion (omission errors) present in the map (Congalton and Green, 1999). A commission error occurs when an area is included in an incorrect category. An omission error occurs when an area is excluded from the category to which it belongs. In addition to clearly showing errors of omission and commission, the error matrix can be used to compute overall accuracy.

Soils information derived from a GIS are generally gathered in a similar manner to vegetation, with the exception that remote sensing often cannot provide critical information about soil properties, especially if the soil is obscured by a vegetation canopy (Band and Moore, 1995). Substantial progress has been made in estimating near-surface and profile soil water content with active and passive microwave sensors and in the estimation of hydraulic properties by model inversion (e.g. Entekhabi et al., 1994). However, in general, soil spatial information is the least known of the land surface attributes relative to its well-known spatial variability that has been observed in many studies (Nielsen and Bouma, 1985).

5.7 Kinematic Runoff and Erosion Model – KINEROS2

The Kinematic Runoff and Erosion Model (KINEROS; Smith et al., 1995; Woolhiser et al., 1990) began as model developed at the USDA-ARS in the 1960s that represented a watershed as a cascade of overland flow elements flowing into trapezoidal channel elements (Figure 3). It is a physically-based model designed to simulate runoff and erosion for single storm events in small watersheds less than approximately 100 km2. KINEROS2, included in AGWA and the most current version, is described in detail by Semmens et al. (2008); additional detailed technical information about KINEROS2 can also be found at http://www.tucson.ars.ag.gov/kineros/.

Figure 3. A schematic representation of the KINEROS2 program.

5.8 Soil & Water Assessment Tool - SWAT

The Soil and Water Assessment Tool (SWAT; Arnold et al., 1994) was developed to predict the effect of alternative management decisions on water, sediment, and chemical yields with reasonable accuracy for ungaged rural basins. It is a distributed lumped-parameter model developed at the USDA-ARS to predict the impact of land management practices on water, sediment and agricultural chemical yields in large (basin scale) complex watersheds with varying soils, land use and management conditions over long periods of time (> 1 year). SWAT is a continuous-time model, i.e. a long-term yield model, using daily average input values, and is not designed to simulate detailed, single-event flood routing. Major components of the model include: hydrology, weather generator, sedimentation, soil temperature, crop growth, nutrients, pesticides, groundwater and lateral flow, and agricultural management. The Curve Number method is used to compute rainfall excess, and flow is routed through the channels using a variable storage coefficient method developed by Williams (1969). Additional information and the latest model updates can be found at http://swat.tamu.edu/.


Section 6 - AGWA Tool Overview

Section 6
AGWA Tool Overview

AGWA uses geospatial data to parameterize two watershed runoff and erosion models: KINEROS2, and SWAT. A schematic of the procedure for utilizing these models with AGWA is presented below in Figure 4. AGWA is a modular program that is designed to be run in a step-wise manner from the AGWA Tools menu on the AGWA Toolbar.

Figure 4. Basic processing steps for AGWA.

The menu is designed to reflect the order of tasks necessary to conduct a watershed assessment, which is broken out into seven major steps:

1. Watershed delineation

2. Watershed discretization

3. Watershed parameterization

4. Writing a precipitation file for model input

5. Writing simulation input files for the chosen model

6. Executing the chosen model

7. Viewing results.

Step 1. Watershed Delineation: The user first creates a watershed delineation, which is derived from a grid based on the accumulated flow to the designated outlet of the study area. Either a single watershed or a group watershed may be created.

Step 2. Watershed Discretization: The user specifies the threshold of contributing area for the establishment of stream channels, and the watershed is divided into model elements as required by the chosen model. The created watershed elements are referred to as the discretization itself. If internal runoff gages for model validation or ponds/reservoirs are present, they can be used to further subdivide the watershed at this time. From this point forward, the tasks are specific to the model that will be used, but both follow the same general process.

Step 3. Watershed parameterization: In step 3, the discretization is parameterized by both its topographic properties and land cover and soils information. AGWA is predicated on hydraulic geometry relationships to establish channel geometries and the presence of both land cover and soil GIS coverages. First, the discretization is parameterized according to its topography and then is intersected with these data where parameters necessary for the hydrologic model runs are determined through a series of look-up tables. The hydrologic parameters are added to the parameterization look-up tables for the discretization and streams feature classes.

Step 4. Writing a precipitation file for model output: Rainfall input files are built. For SWAT, the user must provide daily rainfall values for rainfall gages within and near the watershed. If multiple gages are present, AGWA will build a Thiessen polygon map and create an area-weighted rainfall file. For KINEROS2, the user can select from a series of pre-defined rainfall events or choose to build his/her own rainfall file through an AGWA module. Precipitation files for model input are written from uniform (single gage) rainfall or distributed (multiple gage) rainfall data.

Step 5. Writing simulation input files for the chosen model: At this point, all necessary input data have been prepared: the watershed has been subdivided into model elements; hydrologic parameters have been determined for each element; and rainfall files have been prepared. The user selects the simulation options, names the simulation, and writes the input files for the model of choice. This step is separated from the execution of the model to allow the user to edit simulation input files outside of AGWA prior to model execution.

Step 6. Executing the chosen model: Selecting from any simulations written in step 5, simulations are executed.

Step 7. Viewing results: AGWA imports the model results and joins them to the discretization and stream attribute tables for display. A separate module controls the visualization of model results. The user can toggle between viewing the total depth or accumulated volume of runoff, erosion, and infiltration output for both upland and channel elements. This enables problem areas to be identified visually so that limited resources can be focused for maximum effectiveness. Model results can also be overlaid with other digital data layers to further prioritize management activities.


Section 7 - System Requirements and Setup

Section 7
System Requirements and Setup

7.1 System Requirements

AGWA has no operating system, hardware, or software requirements beyond the minimum requirements of ArcGIS 10.0 or 10.1, though it does require a Spatial Analyst license corresponding to the version of ArcGIS installed. The requirements (ArcGIS 10.0, http://resources.arcgis.com/content/arcgisdesktop/10.0/arcgis-desktop-system-requirements; ArcGIS 10.1, http://resources.arcgis.com/en/help/system-requirements/10.1/) are:

Operating systems

Windows Server 2003 Standard, Enterprise, and Datacenter (32-bit and 64-bit [EM64T])

Windows Server 2003 Terminal Services

Windows Server 2008 Standard, Enterprise, and Datacenter (32-bit and 64-bit [EM64T])

Windows Server 2008 R2 Standard, Enterprise, and Datacenter (64-bit [EM64T])

Windows Server 2008 R2 with Citrix XenApp 6 and XenApp 6.5

Windows Server 2012 Standard, and Datacenter (64-bit [EM64T]) *

Windows 8 Basic, Professional and Enterprise (32-bit and 64-bit [EM64T])

Windows 7 Ultimate, Enterprise, Professional, Home Premium (32-bit and 64-bit [EM64T])

Windows Vista Ultimate, Enterprise, Business, Home Premium (32-bit and 64-bit [EM64T])

Windows XP Professional Edition, Home Edition (32-bit)

Windows XP Professional Edition, Home Edition (64-bit [EM64T])

Hardware

CPU Speed

2.2 GHz minimum ; Hyper-threading (HHT) or Multi-core recommended

Processor

Intel Pentium 4, Intel Core Duo, or Xeon Processors; SSE2 minimum

Memory/RAM

2 GB minimum

Display Properties

24-bit color depth

Screen Resolution

1024 x 768 recommended minimum at normal size (96 dpi)

Swap Space

Determined by the operating system; 500 MB minimum.

Disk Space

2.4 GB

In addition, up to 50 MB of disk space may be needed in the Windows System directory (typically, C:\Windows\System32). You can view the disk space requirement for each of the 10.x components in the Setup program.

Video/Graphics Adapter

64 MB RAM minimum, 256 MB RAM or higher recommended. NVIDIA, ATI, and Intel chipsets supported.

24-bit capable graphics accelerator

OpenGL version 2.0 runtime minimum is required, and Shader Model 3.0 or higher is recommended.

Be sure to use the latest available driver.

Networking Hardware

Simple TCP/IP, Network Card, or Microsoft Loopback Adapter is required for the License Manager.

Processor speed and available memory do have significant impacts on the performance of AGWA and all GIS viewing.

Software

NET Framework 3.5 SP1 must be installed prior to installing ArcGIS for Desktop.

Internet Explorer requirement:

ArcGIS for Desktop requires a minimum installation of Microsoft Internet Explorer Version 7.0 or 8.0. If you do not have an installation of Microsoft Internet Explorer Version 7.0/8.0, you must obtain and install it prior to installing ArcGIS for Desktop.

Python requirement for Geoprocessing:

ArcGIS for Desktop geoprocessing tools require that Python 2.7.x and Numerical Python 1.6.x are installed. If the ArcGIS for Desktop setup does not find either Python 2.7.x or Numerical Python (NumPy) 1.6.x installed on the target computer, Python 2.7.2 and Numerical Python 1.6.1 will be installed during a complete installation. You can choose a Custom installation to unselect the Python feature and avoid installing it. Additionally, if the Python setup is executed during the ArcGIS for Desktop installation, you will be provided with the opportunity to choose its installation location. The Python installation location should not include spaces.

7.2 Setup Directions

To setup AGWA, perform the following steps:

1. Remove any previous versions of the AGWA add-in by opening ArcMap, selecting Customize>Add-In Manager…, selecting any versions of AGWA, and clicking Delete this Add-In.

2. Download the latest version of the add-in from http://www.tucson.ars.ag.gov/agwa/ in the Downloads>Installation Files>AGWA 3.x category.

3. Extract the AGWA Desktop add-in.esriAddIn from the zip file downloaded in step 2 and double-click it to install.

4. Download the latest version of the AGWA directory from http://www.tucson.ars.ag.gov/agwa/ in the Downloads>AGWA Directory>AGWA 3.x category.

5. Extract the AGWA directory from the zip file downloaded in step 4 and place it in a well-thought out location of your choosing.
Note Think carefully about you organize your data and projects and locate the AGWA directory accordingly.

6. From within ArcMap, turn on the AGWA Toolbar. This can be accomplished several ways:

· select Customize>Toolbars>AGWA Toolbar; or,

· select Customize>Toolbars>Customize Mode… and check the AGWA Toolbar checkbox (Figure 5); or,

· right-click an empty spot where toolbars are docked and select the AGWA Toolbar from the context menu that is shown (Figure 6).

Figure 5. A method for turning on the AGWA Toolbar.

Figure 6. An alternative method for turning on the AGWA Toolbar.

7. From within ArcMap, turn on the Spatial Analyst extension by clicking Customize>Extensions… and checking the Spatial Analyst checkbox.

7.3 AGWA Directory Contents

In addition to the GIS data specific to a project, AGWA requires a number of supporting files located in the AGWA directory downloaded from http://www.tucson.ars.ag.gov/agwa/. The directory structure should look like Figure 7 below in a location of your choice.

Figure 7. Suggested AGWA directory structure.

AGWA\datafiles\ | AGWA searches for several look-up tables and data files in this directory.
AGWA\documentation\ | Contains this user guide.
AGWA\models\ | Contains the executables for SWAT and KINEROS. It also contains the executable for the multifractal surface generator utilized by the Land Cover Modification Tool (lcmf.exe).
AGWA\mxds\ | Suggested directory to store AGWA specific ArcMap map documents.
AGWA\temp\ | Suggested directory for placing temporary files created during AGWA use.
AGWA\workspace\ | Suggested directory to store delineations and associated/derived data and files by project.

7.4 Required Datasets

The following data are required for different steps in AGWA.

7.4.1 Delineation Inputs

digital elevation model | A grid, supplied by the user, encompassing the study area. This file is used by AGWA in determining watershed boundaries and other model-specific parameters. If the user elects to fill the DEM, a new dataset in the workspace directory is created with all sinks in the DEM filled.
Flow direction grid | An integer grid, specific to a given DEM, representing the direction of flow throughout a study area. This dataset can be created within AGWA (the new dataset is located in the workspace directory selected in the Delineator form) or can be generated outside of AGWA and added to the map document before attempting to generate a watershed.
Flow accumulation grid | An integer grid, specific to a given DEM, representing the accumulation of runoff throughout a study area. This dataset can be created in AGWA (the new dataset is located in the workspace directory selected in the Delineator form) or can be generated outside of AGWA and added to the map document before attempting to generate a watershed.
Stream grid (optional) | A grid representing the cells into which a specified number of cells flow. This grid is generated by AGWA; the threshold can be determined by a user based on DEM resolution and degree of network complexity required. The stream grid is used for user-identified outlet location and, if using the area of interest watershed delineation method, for dynamically locating outlets.
Outlet (optional) | A point theme containing one or more outlet locations.
Area of interest boundary (optional) | A polygon feature class containing the boundary or boundaries for an area of interest (AOI) to create a watershed group. This shapefile is only necessary to use the AOI option in Group Delineator.

7.4.2 Land Cover inputs

Land cover | An integer grid dataset representing the distribution of landscape classes across a study area. Several datasets are supported by AGWA natively, including NALC, MRLC, and GAP land covers. Additionally, users may use custom datasets if an associated land cover look-up table exists (see below). The land cover attribute table must contain a VALUE field and a NAME field. The surface should extend beyond the boundaries of the watershed for successful watershed parameterization.
Land cover look-up table | A dBASE formatted table containing parameter values by land cover class. Each record is identified by a unique key, identical to the values contained in the VALUE field of the land cover grid. Additional parameters include cover, interception, Manning’s n, percent impervious and curve number values (A, B, C, and D). AGWA provides several look-up tables; custom tables, containing the parameters described above, can also be utilized for land cover parameterization.

7.4.3 Soil inputs

Soils | A polygon shapefile, coverage, or feature class representing the soil types across the study area. Supported soil classifications include STATSGO, SSURGO and FAO. The dataset should extend beyond the watershed boundaries and not contain any internal voids for successful soils parameterization.
STATSGO | For early versions of STATSGO with a MUID field, the required dataset includes the comp.dbf and layer.dbf tables. These are organized by state in the AGWA\datafiles\statsgo\ directory. For current versions of STATSGO that follow the SSURGO schema with a MUKEY field, the required dataset is the Access database (with tables imported) associated with the soils dataset.
SSURGO | The required dataset is the Access database (with tables imported) associated with the soils dataset.
FAO | The required dataset includes the FAO_component.dbf, and FAO_properties.dbf, and FAO_summ.dbf tables located in the AGWA\datafiles\fao\ directory.

7.4.4 Precipitation inputs: KINEROS

Precipitation-frequency grid (optional) | A grid representing the accumulated depth for an event of a given return period for a region.
Dsgnstrm.dbf (optional) | A table containing design storm parameters for southeastern Arizona. This table is used to generate precipitation files for the design storm option for KINEROS.

7.4.5 Precipitation inputs: SWAT

Unweighted precipitation file | This file contains a record for every day to be used in generating the file. The table must be formatted properly (see Precipitation>SWAT for more information) and must include fields for each gage.
Rain gage point theme | A point theme for rain gage locations. The attribute table must contain a gage identifier field with a field name other than ID and with values corresponding to those found in the unweighted precipitation file.
Temperature file (*.tmp) | This file contains the maximum and minimum temperatures (in degrees Celsius) for each day in a given time period. This file is not created by AGWA and must be supplied, properly formatted, by the user. See the SWAT User’s Manual for more information.
Wgnpoints.shp | A point theme containing point locations for weather generator stations in the United States. This dataset can be used to select the WGN file to use during SWAT simulation.
WGN files (*.wgn) | These files contain weather generator data for SWAT. The information includes statistics for a number of parameters that SWAT uses to estimate missing temperature data and other climate inputs. WGN files are organized by state in the AGWA\datafiles\wgn\ directory. For more information, see the SWAT User’s Manual.

7.5 Derived Datasets

The following data are derived as your proceed through the steps in AGWA. User-specified names are indicated by <name>, where name indicates the type of object the name refers to.

7.5.1 Geodatabase Components

Watershed delineation geodatabase | A personal geodatabase containing the delineation feature class, outlet feature class, and any discretizations and related look-up tables derived from the delineation.
Delineation feature class | A polygon feature class representing the watershed delineation.
Outlet feature class | A point feature class containing the outlet(s) for the delineated watershed(s).
Discretization feature class | A polygon feature class representing the subwatershed or plane elements at the specified contributing source area for a given delineation. This file must have a unique name within the project.
Stream feature class | A polyline feature class representing the stream elements at the specified contributing source area for a given watershed delineation.
<discretization name>_temp_soil_lut | Temporary soils table created (located in <delineation name> geodatabase) during soils parameterization that contains the depth-weighted averages for each soil classification within the watershed. The file is maintained to aid in error resolution.
temp_soil_kin | Temporary table created (located in <delineation name> geodatabase) during soils parameterization that contains hydraulic conductivity (KS) and hydrologic soil group averages (based on component percent) by soil classification.
soil_outputs | Temporary table created (located in <delineation name> geodatabase) during soils parameterization that contains hydraulic conductivity and hydrologic soil group values area-weighted for each subwatershed. These values are based on the component averages found in the temp_swat_soil_lut.dbf table for the watershed. The averages are transferred to the watershed attribute table during the parameterization process.
< discretization name>_thiessen (optional) | A polygon feature class generated (located in the <delineation name> geodatabase) by AGWA that contains the Thiessen polygons for a specific rain gage theme.
< discretization name>_intersection (optional) | A polygon feature class generated (located in the geodatabase) by AGWA to calculate the weighted average precipitation for each subwatershed.

7.5.2 Simulation Output Components

Plane or subwatershed results table | A dBASE file, named p<simulation name>.dbf, containing the simulation summary values. This file is located in the <delineation name>\<discretization name>\simulations\<simulation name> subdirectory of the workspace directory selected in the Delineator form.
Stream results table | A dBASE file, named c<simulation name>.dbf, containing the simulation summary values. This file is located in the <delineation name>\<discretization name>\simulations\<simulation name> subdirectory of the workspace directory selected in the Delineator form.
Precipitation file (*.pre) | This file contains time-depth or time-intensity pairs for one or more rain gage locations. These files can be created in AGWA (located in the <delineation name>\<discretization name>\precip subdirectory of the workspace directory selected in the Delineator form) or can be created outside of AGWA if the correct format is followed (see the KINEROS documentation at http://tucson.ars.ag.gov/KINEROS for more information).
Precipitation file (*.pcp) | A file containing the weighted average precipitation for each subwatershed or a uniform precipitation for the watershed for each day in the unweighted precipitation file. This file is located in the <delineation name>\<discretization name>\precip subdirectory of the workspace directory selected in the Delineator form.

7.6 Workspace Organization

Geodatabases provide a logical organizational structure to store output data. AGWA creates a unique geodatabase for each delineation and stores derived discretizations and related look-up tables in that geodatabase. Discretizations are stored within a feature dataset as a polygon feature class for the subwatershed or hillslope elements and polyline feature class for the stream elements.

Geodatabases do not store flat ASCII files well, so model inputs and outputs for simulations are stored in subdirectories named according to their associated geodatabase and discretization names. Each discretization contains its own precip directory and simulations directory. This logically organizes inputs and outputs to help prevent inadvertent mixing between discretizations and also allows more flexibility in naming precipitation inputs and model simulations.

Figure 8 below depicts AGWA file management and a typical workspace. The workspace, tutorial_SanPedro101, shows two geodatabases representing two delineation, d1 and d2. The d1 geodatabase is expanded to show derived data including the delineation, discretization, and outlook feature classes and related look-up tables. The derived directory structure for precipitation and simulation outputs for d1 is also shown. The tutorial_SanPedro101 workspace directory contains a directory for each delineation, and each delineation directory contains directories for each discretization and their subsequent precipitation and simulation files.

Figure 8. Example workspace location demonstrating two delineations (d1 and d2), the geodatabase structure of d1, and the directory structure for d1.


Section 8 - AGWA Core Concepts

Section 8
AGWA Core Concepts

8.1 Stream Grid

The stream grid is a theme containing all streams for a given DEM. It represents all cells in the DEM that receive runoff from a certain number of cells. This number is the threshold value for the map and represents the number of cells rather than an area or percent. The threshold for the stream grid can be set to create a more or less complex network. The default value of 2500 is recommended for DEMs with a resolution of 30m; however, this default may be too fine for higher resolution DEMs.

The stream grid is used as a visual aid when locating outlet locations when creating an individual watershed (with the original AGWA process). It is also used in the group watershed delineation option to define the potential outlet locations, which must fall on a defined stream. An example stream grid is shown in Figure 9.

Figure 9. Stream grid generated from a 30m DEM with a flow accumulation threshold of 2500.

8.2 Watershed Delineation

A watershed outline is the result of the delineation process. The boundary represents all cells of a given DEM that drain to the specified outlet location. The delineation is used to create discretizations for each model and for different complexities. Figure 10 below shows an example of a watershed delineation.

Figure 10. Example watershed delineation with the watershed outlet and stream grid overlayed.

8.3 Contributing Source Area (CSA)

This value determines the level of geometric complexity in the discretized watershed (Figure 11). It is the threshold at which flow becomes channelized. Lower CSAs produce more watershed elements; higher CSAs, fewer elements. The default value is 2.5%, which produced the best results during preliminary analysis.

Figure 11. Differences in watershed complexity based on contributing source area.

8.4 KINEROS Flow Length

Flow length is the length of the path from a source to a channel, as indicated by flow direction. AGWA offers two methods for calculating flow length of lateral planes in KINEROS. The default method assumes a geometric abstraction, where the plane is considered a rectangle with a length equal to the channel length of the associated stream and the width (or flow length) equal to the plane area divided by the channel length. This method must be used to add riparian buffers to a KINEROS watershed.

The second method calculates the mean flow length of the plane element. Flow length is based on the following:

where L is the flow length, D is the flow length from cell i, and a is the area of cell i (Syed, 1999).

The flow length of the source planes (any plane element ending with 1) is calculated the same for both methods. This calculation considers the source plane as a triangular abstraction, where flow length is 3/2 the distance between the plane centroid and the upstream node of the associated channel (Figure 16). Length is equal to the plane area divided by the flow length.

Figure 12. Geometric abstractions of KINEROS plane elements.

Initial testing indicates that the geometric abstraction provides better results for watershed with and without stream buffers. This method must be used for any KINEROS watershed to contain stream buffers. Previous studies have demonstrated that the included implementation for calculating mean flow lengths for lateral elements performs better than other mean flow length options, excluding the geometric abstraction method (Syed, 1999).

8.5 Hydraulic Geometry Relationships

These relationships refer to bankfull hydraulic geometry relationships and they define the bankfull channel width and depth based on watershed size. Bankfull relationships are useful in that they define channel topography with minimal input and effort by the user; however, there are some drawbacks. The relationships are designed to be applied to very specific physiographic regions and outside of these regions the performance of the relationships in accurately depicting the channel geometries severely declines. Also, deriving relationships for specific regions is very labor intensive, requiring field work and analysis.


Section 9 - Key Parameters and Attributes

Section 9
Key Parameters and Attributes

9.1 KINEROS

9.1.1 Hillslope

Shape_Area | the area of the hillslope element (m2)
ElementID | hillslope identifier
Side | upland hillslope to channel(null), left lateral hillslope to channel (0), right lateral hillslope to channel (-1)
MeanElev | mean hillslope elevation
Slope | the zonal mean slope of the plane element in percent rise
X | the X coordinate of the plane element's centroid
Y | the Y coordinate of the plane element's centroid
Width | the flow length of the plane element, based on a geometric abstraction or the mean flow length to the channel element
Length | the length of the plane element, parallel to the channel
Int_ | Interception depth(mm)
Cover | Percent of surface covered by intercepting cover
Mann_N | Manning’s roughness coefficient
Pct_Imperv | fraction of surface that is impervious
Pave | fraction of surface covered by erosion pavement (0-1)
Splash | rainsplash coefficient
Rock | Volumetric rock fraction
Ks | Saturated hydraulic conductivity(mm/hr)
G | Mean capillary drive (mm)
Por | porosity
Smax | maximum soil saturation (0-1)
Cv | Coefficient of variation of Ks
Fract_sand | fractional sand content (0-1)
Fract_silt | fractional silt content (0-1)
Fract_clay | fractional clay content (0-1)
Dist | Pore size distribution index
Cohesion | Soil cohesion coefficient
Shape_Area | the area of the hillslope element (m2)
ElementID | hillslope identifier
Side | upland hillslope to channel(null), left lateral hillslope to channel (0), right lateral hillslope to channel (-1)

9.1.2 Stream

Shape_Length | length of the channel element (m)
StreamID | stream identifier
Sequence | integer values indicating channel sequence
Area | upland and lateral areas contributing directly to the channel element (m2)
Cum_area | sum of all upland and lateral elements contributing to the channel (m2)
Slope | channel slope derived from elevation of end nodes (percent rise)
X | Representative x coordinate
Y | Representative y coordinate
Down_width | downstream width of channel element (m)
Up_width | upstream width of channel elements (m)
Down_depth | downstream depth of channel element (m)
Up_depth | upstream depth of channel element (m)
SS1 | bank slope side
SS2 | bank slope side
Mann_N | Manning’s roughness coefficient
Wool | indicates use of wetted perimeter function
CV | coefficient of variation of Ksat
KS | saturated hydraulic conductivity (mm/hr)
G | mean capillary drive (mm)
Dist | pore size distribution index
Por | porosity (cm3/cm3)
Rock | volumetric rock fraction
Pct_Sand | fractional sand content (0-1)
Pct_Silt | fractional silt content (0-1)
Pct_Clay | fractional clay content (0-1)
SP | rainsplash coefficient
COH | soil cohesion coefficient
Pave | fraction of surface covered by erosion pavement (0-1)

9.2 SWAT

9.2.1 Subwatershed

ElementID | subwatershed identifier
Shape_Area | area of the subwatershed (m2)
MeanElev | mean subwatershed elevation
MinElev | minimum subwatershed elevation
MaxElev | maximum subwatershed elevation
Slope | the zonal mean slope of the subwatershed element in percent rise
MaxFlowLength |
Soil_id | Dominant soil id in the subwatershed
CN | Average curve number in the subwatershed
Cover | Percent of surface covered by intercepting cover
Crop | Crop id for the subwatershed

9.2.2 Stream

Shape_Length | length of the channel element (m)
StreamID | stream identifier
Sequence | integer values indicating channel sequence
SWAT_id | integer values for SWAT routing
Storage_Loc | storage location number used in SWAT routing
Area | upland area contributing directly to the channel (m2)
Cum_area | sum of all areas contributing directly to the channel (m2)
Slope | channel slope derived from elevation of end nodes (percent rise)
Width | Downstream channel width (m)
Depth | Downstream channel depth (m)
Ks | saturated hydraulic conductivity (mm/hr)
n | Manning’s roughness coefficient


Section 10 - Watershed Delineation

Section 10
Watershed Delineation

Watershed delineation is the first step in the process of using AGWA. Delineating creates a feature class that represents all the area draining to a user-specified outlet. This is used for both KINEROS and SWAT. This step requires that you enter the required datasets described in System Requirements and Setup>Required Datasets>Delineation Inputs.

There are two options for delineating watersheds. To access these options, select AGWA Tools>Delineation Options, then select one of the two available choices (Figure 13). The relevant form is opened based on your selection.

Figure 13. Delineation Options on the AGWA Tools menu.

10.1 Delineate New Watershed

10.1.1 Overview

Step 1 - Output Location

This requires that the name of the workspace be identified, and a new name for the geodatabase be entered.

Step 2 - Input Grids

This requires the user to identify the grid surfaces to be utilized. These surfaces include a digital elevation model (DEM), a flow direction grid (FDG) and a flow accumulation grid (FACG). An additional surface, a stream grid, may optionally be generated following the selection of these inputs to facilitate outlet location. The stream grid represents all streams for a specific DEM. The threshold for these streams is set to a default of 2500, where all cells receiving runoff from at least 2500 cells are identified as streams. AGWA allows users to adjust this threshold as the default threshold may produce too much network detail for high-resolution DEMs.

Step 3 - Outlet Identification

This requires the user to select an outlet point to delineate the watershed by. The user can use the circle tool to click a point or draw a circle on the map to define the outlet coordinates and search radius for locating the outlet. Alternatively, the user can select a point from an existing point theme to use as the outlet point. A search for the highest flow accumulation value within the radius of the selected coordinate is used to snap the outlet point to the most likely watershed outlet. This facilitates outlet identification by not requiring users to click on an exact location.

10.1.2 Steps

Figure 14. Delineator form.

1. Add your digital elevation model (DEM) and optionally your flow direction and flow accumulation grids (FDG and FACG) and a point feature class representing the outlet of the watershed to your map.

2. Select AGWA Tools>Delineation Options>Delineate Watershed.

3. Select the workspace where all delineation, discretization, and model inputs and outputs will be organized and stored, including flow direction and flow accumulation grids if created.

4. Name the geodatabase that will store the delineation and derived discretizations. You may not use an existing geodatabase name in the specified workspace path.

5. Select the DEM, Flow Direction Grid (FDG), and Flow Accumulation Grid (FACG) from the Input Grids panel. If you do not have a flow direction or flow accumulation grid, AGWA can create them at this point.

6. OPTIONAL – create a stream grid to help locate where to place the outlet point of the delineation.

7. Select an outlet location for the delineation using:

7.1. The user defined point tool;

7.2. The select point tool (from a point theme);

7.3. The X and Y coordinate and a search radius textboxes.

8. Click the Delineate button.

When the delineation is complete, the delineated watershed is automatically added to the map.

10.2 Delineate Group Watershed

10.2.1 Overview

A watershed group is a collection of AGWA watersheds, for either KINEROS or SWAT, which are discretized, parameterized and simulated as a unit. Each watershed in the group is numbered and parameterized as a normal AGWA watershed but is identified by a GROUP number to separate each watershed, and by a GROUPID number to uniquely identify each element. The first two steps in the delineation are the same as for a new watershed.

Step 1 - Output Location

This requires that the name of the workspace be identified, and a new name for the geodatabase be entered.

Step 2 - Input Grids

This requires the user to identify the grid surfaces to be utilized. These surfaces include a digital elevation model (DEM), a flow direction grid (FDG) and a flow accumulation grid (FACG). An additional surface, a stream grid, may optionally be generated following the selection of these inputs to facilitate outlet location. The stream grid represents all streams for a specific DEM. The threshold for these streams is set to a default of 2500, where all cells receiving runoff from at least 2500 cells are identified as streams. AGWA allows users to adjust this threshold as the default threshold may produce too much network detail for high-resolution DEMs.

Step 3 – Outlet Identification

Select Multiple Outlets

This option allows you to select two or more outlets from an existing outlets theme. First, select the point theme containing the outlets from the combobox on the Outlet Identification panel. Use the selection tool to select the points to use. When selecting multiple points, it may be necessary to click on the selection tool more than once, especially if using the Shift key. Click Delineate.

Area of Interest

This option dynamically locates outlets based on an area of interest boundary so that the boundary is completely covered by watersheds. This can be used to delineate watersheds for parks, ranches, urban developments, islands, etc. (Scott, 2005).

To use this option, you must select a polygon shapefile, coverage, or feature class containing at least one boundary region. From the Area of Interest tab, select the boundary theme in the Boundary layer selection panel. If the shapefile contains more than one polygon, use the selection tool to select the boundary of interest. Only one boundary can be used at a time. Next, define the analysis extent from the Extent tab. This polygon limits the area within which AGWA will search for outlets. This is used both to reduce the potential size of the final watersheds as well as to exclude any regions that you do not wish to use during the process.

In some instances, the watersheds created to completely cover the area of interest may not contribute significantly to the water balance of the area of interest. These watersheds may occupy only a small fraction of the boundary; the inclusion of these watersheds requires additional processing time that may not be beneficial. To exclude small watersheds, select the Threshold tab to set the minimum area slider to a value greater than zero. Setting this slider to zero will include all watersheds that intersect the area of interest and have a valid outlet within the analysis extent. Any other value will ignore those watersheds that occupy less than the minimum size. Drag the slider to the desired percent.

Description: delineation - group

Figure 15. Area of Interest group watershed delineation.

Figure 15 above shows the Area of Interest watershed delineation results with a minimum area threshold of 0.2%. Several regions of the boundary were excluded from the delineation process due to this threshold. Note the placement of the original outlet locations and the final outlet locations.

The process begins by locating potential outlets at the intersection of the boundary polygon and the stream network. Outlets are rejected if the stream flows into the boundary; these streams will be captured by another outlet, or if another outlet is identified downstream. Outlets are located at 75% of the distance from the start of the stream segment; if this falls within the boundary and another stream segment is not available downstream, the process fails. To avoid this, adjust the boundary.

These initial outlets are adjusted based on the stream network. The next downstream segment is tested against the current outlet location; if it captures more streams that flow from the boundary, the current outlet is replaced and the next potential outlet is tested. The goal of this step is to locate outlets so that all of the streams within the boundary are accounted for with the fewest number of outlets possible given the constraints of the boundary and analysis extent.

Once the outlets have been located, watersheds are delineated for each point. The union of these watersheds is compared against the boundary polygon. If gaps in the coverage exist, further processing is necessary. This processing involves moving outlets downstream one segment and testing that delineation, unioned with the existing delineations, against the boundary. If a stream segment is not found downstream or AGWA determines that the next downstream segment is a much larger tributary, a new outlet is located along the flow path from the midpoint between the two watersheds. If an area is smaller than the minimum threshold, the gap is ignored.

10.2.2 Steps

Figure 16. Watershed Group Delineator form.

1. Add your digital elevation model (DEM) and optionally your flow direction and flow accumulation grids (FDG and FACG) and a point feature class representing the outlet of the watershed to your map.

2. Select AGWA Tools>Delineation Options>Delineate Group Watershed.

3. Select the workspace where all delineation, discretization, and model inputs and outputs will be organized and stored, including flow direction and flow accumulation grids if created.

4. Name the geodatabase that will store the delineations and subsequent discretizations. You may not use an existing geodatabase name in the specified workspace path.

5. Select the DEM, Flow Direction Grid (FDG), and Flow Accumulation Grid (FACG) from the Input Grids panel. If you do not have a flow direction or flow accumulation grid, AGWA can create them at this point.

6. Create a stream grid used to locate the outlets of the watersheds.

7. Select the outlets for the group watersheds using:

7.1. A point theme;

7.2. An area of interest and analysis extent.

8. Click the Delineate button.

When the delineation is complete, the delineated watersheds are automatically added to the map.


Section 11 - Watershed Discretization

Section 11
Watershed Discretization

Discretizing breaks up the delineated watershed into model specific elements and creates a stream feature class that drains the elements.

There are two options for discretizing watersheds, depending on the type of delineation being used. To access these options, select AGWA Tools>Discretization Options, then select one of the two available choices (Figure 17). The relevant form is opened based on your selection.

Figure 17. Discretization Options on the AGWA Tools menu.

11.1 Discretize Single Watershed

11.1.1 Overview

The user first selects a delineation in the Input panel, and then must select a model for the discretized watershed in the Model Options panel (Figure 18). KINEROS and SWAT require different parameters and routing conditions, so watersheds discretized for one model cannot be used for the other.

In the CSA panel, enter a contributing source area value as either a contributing area (in acres or hectares, depending on the selected units) or as a percent of the watershed. Changes to one value will automatically update the other. Enter a name for the discretization.

The Watershed Pour Points panel allows you to select point locations to further subdivide the discretization and split elements and channels in specific locations. The three options are:

· Default: AGWA uses pour points determined by the discretizer, and no action is required by the user.

· Default, Enforce CSA: AGWA enforces a discretization element size equal to or less than the CSA threshold for all elements instead of for uplands only.

· User-defined: Add pour points manually using the Point tool. Click locations on the map where you want to force the outlet watershed elements to be located. Try to click near a stream on the stream grid. The location may be adjusted based on the point of highest flow accumulation within the specified radius.

· Point theme: Select pour point from an existing point theme in the view. Using the selection tool, select points.

Internal gages makes it possible to compare measured and estimated runoff at a point or series of points. Points should be located within 100 meters of the stream network to ensure successful snapping. The points cannot be located within 10% of the channel length of a junction or within 5 cells (based on the DEM resolution) of each other. If AGWA detects points within these tolerances, they will be ignored.

Internal gages can increase the potential for improper watershed configurations, including unsplit KINEROS hillslopes, misnumbered elements, and orphaned stream segments. AGWA contains several checks for various improper configurations, but the user should inspect the final watershed carefully before proceeding. To reduce the potential for improper configuration, make sure that the points are not in close proximity with each other or stream junctions. If errors are introduced, adjusting the point locations and the CSA may resolve the errors.

11.1.2 Steps

Figure 18. Discretizer form.

1. Select AGWA Tools>Discretization Options>Discretize Watershed.

2. Select the delineation from the Delineation combobox on the Input group box of the Discretizer form (Figure 18). If no delineations exist the combobox will be empty and the discretization process cannot be completed. Delineated watersheds are identified by <geodatabase name>\<delineation name>.

3. Select the model to discretize the watershed for.

4. Select the CSA value to discretize the watershed at. The CSA is the threshold area at which flow becomes channelized. Lower CSAs produce more watershed elements and a higher level of geometric complexity. Higher CSAs produce few elements and a lower level of geometric complexity.

5. OPTIONAL - Choose whether to use Watershed Pour Points

5.1. Default uses pour points determined by the Discretizer.

5.2. Enforce CSA results in all discretization elements having a maximum area equal to the CSA instead of just the uplands.

5.3. User-Defined allows you to manually click pour points on the stream network where you would like watershed elements broken out.

5.4. Point Theme allows you to select points from a point theme to use as additional pour points where you would like watershed elements broken out.

6. Select the name of the output discretization.

6.1. If the Model type is SWAT2000, the polygon feature class will be named subwatersheds_<discretization name>.

6.2. If the Model type is SWAT2005, the polygon feature class will be named swat2005_<discretization name>.

6.3. If the Model type is KINEROS, the polygon feature class will be named planes_<discretization name>.

6.4. For both Models, the polyline feature class will be named streams_<discretization name>.

7. Click the Discretize button.

When the discretization is complete, the discretized watershed and stream feature classes are automatically added to the table of contents of the map.

11.2 Discretize Group Watershed

11.2.1 Overview

Watershed discretization for watershed groups is similar to that for individual watersheds. It does not, however, support internal breakpoints. Please note that due to the delineation process, the boundaries for both the delineation and the internal plane elements will be slightly different from those generated if using the same outlet for an individual watershed. Watershed parameters will also be slightly different.

Description: discretization - group

Figure 19. Area of Interest group discretization.

Watershed groups may be created with area of interest boundaries or with multiple outlet locations. The discretization process is the same for both. AGWA displays each watershed in the Watersheds group box by a unique Group identifier (Figure 20). To identify which watershed is which, match the Group number in the table to the Group number in the delineation feature class’ attribute table. To set the CSA for the watersheds, click in either the CSA column or the % Area column to enter a value. CSA can be set for either a percent of the watershed or a contributing area. The other value is automatically calculated. Because the watershed delineations can vary greatly in size, a CSA must be entered for each watershed.

To avoid any attribution errors in other AGWA processes, the group contains two additional identifiers for both watershed and stream: a GROUP number that identifies which group the element belongs to, and an ID number that serves as a unique ID. The ID is used to associate land cover and soils tables as well as results tables to the watershed and stream network.

11.2.2 Steps

Figure 20: Watershed Group Discretizer form.

1. Select AGWA Tools>Discretization Options>Discretize Group Watershed.

2. Select the watershed group from the Delineation combobox on the Discretizer form. If no group watersheds exist the combobox will be empty and the discretization process cannot be completed. Delineated watersheds are identified by <geodatabase name>\<delineation name>.

3. Select the model to discretize the watershed for.

4. Define the units for the CSA. The CSA is the threshold area at which flow becomes channelized.

5. Select the name of the discretization.

5.1. If the Model type is SWAT2000, the polygon feature class will be named subwatersheds_<discretization name>.

5.2. If the Model type is SWAT2005, the polygon feature class will be named swat2005_<discretization name>.

5.3. If the Model type is KINEROS, the polygon feature class will be named planes_<discretization name>.

5.4. For both Models, the polyline feature class will be named streams_<discretization name>.

6. Define the CSA value for each watershed in the Watersheds group box. The CSA is the threshold area at which flow becomes channelized. Lower CSAs produce more watershed elements and a higher level of geometric complexity. Higher CSAs produce few elements and a lower level of geometric complexity.

7. Click the Discretize button.

When the discretization is complete, the discretized watershed and stream feature classes are automatically added to the table of contents of the map.


Section 12 - Parameterization

Section 12
Parameterization

Before running KINEROS or SWAT simulations for a discretization, hydrologic parameters must be derived for each model element from the topography, and land cover and soils data. Each model requires a different set of parameters. There are two parts to parameterization in AGWA: Elements, and Land Cover and Soils. The element parameterization uses look-up tables in the AGWA\datafiles directory and the DEM from the delineation. The land cover and soils parameterization uses land cover datasets in grid format and a soil datasets in vector format.

Parameterization can be performed separately or batched for both single and group discretizations. To access these options, select AGWA Tools>Parameterization Options, then select one of the two available choices (Figure 21)

Figure 21: Parameterization Options on the AGWA Tools menu.

12.1 Overview

12.1.1 Parameterization look-up tables

Beginning in version 3.0, AGWA stores parameterization information in parameterization look-up tables that are joined with the discretization and streams feature classes instead of in the discretization and streams feature classes directly. This has several benefits: parameterizations are not overwritten so past parameterizations can always be looked up; parameterizations can be performed in a batch manner; simulations with different parameterizations can be written in a batch manner. The parameterization look-up table are <discretization name>_p_parLUT and <discretization name>_s_parLUT for the discretization and streams feature class, respectively.

12.1.2 Element Parameterization

Regardless of the model the watershed was discretized for, the user can alter the hydraulic geometry options and the channel types in the element parameterization. KINEROS discretizations can also have the flow length options altered in the element parameterization.

12.1.2.1 Flow Length Options (KINEROS only)

Users are given two options for calculating flow length for lateral elements when parameterizing KINEROS discretizations. The first option is the default and uses a geometric abstraction of the plane element. The second option uses the mean flow length. For more information on flow length calculations, please see AGWA Core Concepts>KINEROS Flow Length.

12.1.2.2 Hydraulic Geometry Options

Users are given three options when selecting hydraulic geometry options: select from a number of pre-defined relationships; edit an existing relationship on the fly; or create a new relationship, either from scratch or based on an existing relationship.

12.1.2.3 Channel Type

There are three channel types available by default: Default, Natural, and Developed. The Default channel type is equivalent to the Natural channel type. The Natural channel type reflects a sandy channel bottom with high infiltration and a winding but clean channel with roughness set to 0.035 Manning’s n. The Developed channel type reflects a concrete channel with zero infiltrability, very low roughness set to 0.010 Manning’s n, and fraction of channel armored against erosion equal to 1. These values may be edited on the fly when not customizing a channel selection. If modified parameter values are desired with a custom channel selection, use the Edit and Create buttons with the trackbars or numeric textboxes to create a new channel type before customizing the channel selection.

12.1.3 Land Cover and Soils Parameterization

12.1.3.1 Land Cover

Weighted hydrologic parameters are derived from land cover data in conjunction with a look-up table. Each look-up table is related to a specific type of land cover through the land cover classification number (the value of the grid cell).

Land cover parameters are area-weighted averages based on the land cover types within each plane or subwatershed. Using the TabulateArea feature, AGWA calculates the proportion of each land cover type within an element. These values are then used with the relevant parameter from the selected look-up table to determine the average value for the element.

In some cases, a land cover surface will contain values that do not correspond to a recognized land cover, such as “Clouds” or “Water”. This classification indicates an area with no land cover data and is usually accompanied by a corresponding record in the land cover look-up table with all hydrologic soil group (A, B, C, D) values set to zero or to 100. Any land cover with all parameters set to zero or with all hydrologic soil group values to 100 will be excluded from the normal area-weighting process and from the HRU parameterization process.

12.1.3.1.1 Supported Land Cover Datasets

AGWA provides several look-up tables, including NALC, MRLC, and SWGAP. All values found in the land cover grid must be found in the selected look-up table.

The SWGAP land cover dataset uses a more detailed classification system than the other land cover maps used in AGWA. Since hydrological properties are not available for these detailed classes, whenever possible, each SWGAP land cover type was given a value matching a land cover type from the National Land Cover Data (NLCD) set to obtain the hydrologic properties for the models. The remaining SWGAP land cover types were given a NLCD value based on the larger ecological system they were in.

Custom land cover datasets: may be used with AGWA if the user supplies a properly formatted look-up table. The look-up table must be keyed to the land cover grid by a CLASS field with a record for each value in the land cover grid. To use the Land Cover Modification Tool or to use with a buffered watershed, the table must also have a NAME field. Other required fields include Cover (percent cover), Int (interception in mm), N (Manning’s n), Imperv (fractional imperviousness), and A, B, C, D (curve numbers for hydrologic groups A, B, C, and D). Figure 22 shows an example look-up table.

Figure 22. Example land cover look-up table for the MRLC classification scheme.

12.1.3.1.2 KINEROS

Land cover parameters for KINEROS are area-weighted averages based on the intersection of the watershed with the land cover grid. Four parameters are required: cover, interception, Manning’s n, and percent impervious. The averages are written to the parameterization look-up table for the discretization.

12.1.3.1.3 SWAT

Land cover parameters for SWAT are based on the land cover intersection and the average hydrologic soil group as determined by soils parameterization. Derived parameters include hydrologic soil group and KS. KS is based on the soil texture of the first soil layer and the kin_lut table values. The parameters are written to the parameterization look-up table for the discretization.

12.1.3.2 Soils

AGWA supports three soils datasets: STATSGO, SSURGO, and FAO. If the associated soils look-up tables are missing information, AGWA will use the texture of the soil missing information with the kin_lut table (Figure 23) to fill in the missing data.

Figure 23. The kin_lut.dbf table.

12.1.3.2.1 STATSGO

Depending on the history of the STATSGO soils dataset, it will have one of two different fields to identify the soil type. Older datasets have a MUID (map unit ID) field and more recent datasets have a MUKEY field. AGWA actually identifies STATSGO datasets with an MUKEY field as SSURGO datasets because they also follow the SSURGO database schema.

For each MUID or MUKEY, there are predefined components that describe the spatial variation within a particular soil type. For instance, there may be three components associated with MUID AZ061 (see Figure 24). Each component occupies a certain percentage of the larger soil type (MUID); the component percentages must sum to 1. For MUID datasets, component information is stored in the comp.dbf file in the AGWA\datafiles\statsgo\<state>\ folder. For MUKEY datasets, component information is stored in an Access database provided with the dataset. A component is composed of different layers. For MUID datasets, layer information is stored in the layer.dbf file in the AGWA\datafiles\statsgo\<state>\ folder. For MUKEY datasets, layer information is stored in an Access database provided with the dataset.

Component 3

(20%)

Figure 24. STATSGO structure.

12.1.3.2.2 SSURGO

SSURGO datasets are identified by the MUKEY field in the soil theme's attribute table. Datasets will not be recognized by AGWA without this field.

Like the STATSGO dataset, the SSURGO dataset is composed of components and horizons (see Figure 25). A similar weighting process is used for this dataset.

Figure 25. SSURGO structure.

Component, texture and layer information is stored in an Access database provided with the dataset. The following tables should be in the database and populated: component, chorizon, and chtexgroup.

12.1.3.2.3 FAO

FAO datasets are identified by the SNUM field in the soil theme's attribute table. Datasets will not be recognized by AGWA without this field. To use the dataset, first reproject the dataset to a geographic projection with decimal degrees and then to UTM or some other projection with units in meters.

The FAO datasets and tables were obtained either from the Food and Agriculture Organization of the United Nations (FAO/UNESCO, 2003) Soil Map of the World CD-ROM, or from C.A. Reynolds research (Reynolds et al., 1999).

To use FAO soils in AGWA, several modifications were made. FAO soils are classified into three broad soil texture categories: coarse, medium, and fine; however, the kin_lut.dbf uses textures based on the USDA soil texture triangle. All FAO soil units in the tables were assigned one of the twelve texture classes from the soils triangle. For those FAO soil mapping units that did not have any associated soil-units or soil properties, textures were assigned based on the most similar texture in the table. These units include "dunes/shifting sands", "salt", "rock", "glaciers", "water" and "No Data". For example, "salt" is given the same values as "gypsum", while "rock" is given values from "unweathered bedrock".

FAO soil classes are composed of multiple components. The components do not have multiple layers (Figure 26).

Figure 26. FAO structure.

Occasionally, a soil-unit is not found in the tables, so texture is determined based on the soil-unit name. FAO textures are "coarse", "medium", or "fine", and are designated with a "1" (coarse), "2" (medium), or "3" (fine) following the soil-unit symbol (i.e. AF 2). These textures are defined in the FAO documentation based on the soil texture classes form the USDA Soil texture triangle (FAO/UNESCO, 2003). These three soil textures (coarse, medium, and fine) were added to the kin_lut.dbf and their soil properties created from weighted averages of values in the kin_lut.dbf. For example, "coarse" soil, defined as "Sand, Loamy sand, and Sandy loam soils when clay is less than 18% and sand is greater than 65%" (FAO/UNESCO, 2003), uses the weighted average of these three soil textures (see Figure 27).

Figure 27. USDA Soil Texture Triangle with FAO soil textures outlined.

When retrieving parameters for use as inputs to the models, parameters were first obtained from the FAO data if available (FAO_component.dbf), then from the Reynolds data (FAO_Summ.dbf), and finally from the AGWA kin_lut.dbf table if not found in any other source.

The hydrologic soil group (HSG) is not given in the FAO documentation. It was determined using the soil texture classes, the USDA soil texture triangle, and the FAO documentation on soil texture classes (FAO/UNESCO, 2003). General definitions for the hydrologic soil groups for use in verifying the relationship between texture and HSG were taken from Engel et al. (2004) and Jarrel and Bundy (2002).

12.1.3.2.4 KINEROS

Soil parameters for KINEROS are area-weighted averages of the top 9 inches of the soil stratum. First, AGWA performs any depth-weighting necessary based on the depth of the layers for each component within the plane. The depth-weighted values are then used during the area-weighting process to derive the final parameters. Weights are determined through the intersection of the watershed with the soils dataset.

Parameters are added to the parameterization look-up table for the discretization once weighting is complete.

Clay, silt, and sand fractions should sum to 1 for each plane element after area-weighting is complete. If the sums exceed the specified ranges, parameterization fails. This can be caused by missing data in a plane element or incorrect watershed intersections. Correct any problems before attempting to run KINEROS.

In some cases, a plane element may fall completely within a soil type, such as water, that cannot be averaged. In earlier versions of AGWA, the soil parameters for these elements were assigned a value of –99; however, because these elements do not contribute runoff to the watershed, AGWA now provides the option to remove these elements from the watershed to allow users to continue the simulation process.

If soil parameters for a plane element cannot be averaged, AGWA informs the user and asks if processing should continue without the affected elements. If the user declines, soil parameterization ceases and the watershed should not be used for simulation with the selected soil theme. If the user accepts, the affected plane elements are removed from the watershed and any affected parameters updated (cumulative area and contributing element). Please note that this situation could be an indication of errors within the soils dataset or the intersection theme. If this is the case, removing the planes will result in misleading runoff estimates. It is the user’s responsibility to examine the watershed and soils theme before undertaking this option.

12.1.3.2.5 SWAT

Unlike KINEROS, SWAT soil parameters are not area-weighted by subwatershed. Instead, these values are based on the dominant soil type found in the subwatershed.

Soil parameters are stored in the delineation geodatabase in a table, <discretization name>_temp_soil_lut, with a record for each layer of each component in the watershed. The watershed attribute is modified to include a SOIL_ID field containing the dominant soil identifier. This table is required for SWAT simulation.

12.2 Parameterizer steps

Figure 28: Parameterizer form.

1. Select AGWA Tools>Parameterization Options>Parameterizer.

2. Select a discretization from the Discretization combobox.

3. Enter an unused, descriptive name for the parameterization in the Parameterization Name textbox.

4. In the Elements box,

4.1. In the Parameterization combobox,

4.1.1. Select Create new parameterization to define new element parameterization options.

4.1.2. Select an existing parameterization to copy the element parameterization from.

5. In the Land Cover and Soils box,

5.1. In the Parameterization combobox,

5.1.1. Select Create new parameterization to define new land cover and soils parameterization options.

5.1.2. Select an existing parameterization to copy the land cover and soils parameterization from.

6. Once the parameterization options are set for both elements and land cover and soils, click the Process button to begin the parameterization.

12.2.1 Element Parameterizer

Figure 29: Element Parameterizer form.

1. KINEROS only, in the Flow Length Options box, select Geometric Abstraction or Plane Average.

2. In the Hydraulic Geometry Options box, select an existing relationship from the combobox

2.1. Leave it unaltered; or

2.2. Temporarily edit the selected relationship for this parameterization only. NotE You must enter a new relationship name; or

2.3. Edit the selected relationship and save it for future use in the HGR.dbf. NotE You must enter a new relationship name.

3. In the Channel Type box,

3.1. Select an existing channel type from the combobox and,

3.1.1. Leave it unaltered; or

3.1.2. Temporarily edit the selected channel type for this parameterization only. NotE You must enter a new channel description name; or

3.1.3. Edit the selected channel type and save it for future use in the channelTypes.dbf. NotE You must enter a new channel description name.

3.2. Or, select Customize Channel Selections and

3.2.1. Click the Customize Channel Selections button to open the Customize Channel Selections form (Figure 30).

Figure 30. Customize Channel Selections form.

3.2.2. In the Customize Channel Selections form,

3.2.2.1. Click the Add button to add multiple channel types.

3.2.2.2. For each row,

3.2.2.2.1. Select the channel type.

3.2.2.2.2. Use the Select Channels field to select the channel segments for the row.

3.2.2.3. Click the Continue button to be returned to the Element Parameterizer form.

4. Click the Continue button to be returned to the Parameterizer form.

12.2.2 Land Cover and Soils

Figure 31. Land Cover and Soils form.

1. In the Land Cover tab:

1.1. Select a land cover grid from the Land Cover Grid combobox.

1.2. Select a look-up table from the Look-up table combobox for the selected land cover grid.

1.2.1. You may add a look-up table using the Add Data button on the form.

1.2.2. You may also add a look-up table using the Add Data button on the ArcMap Standard toolbar.

2. In the Soils tab:

2.1. Select a soils dataset from the Soils layer combobox.

2.2. Depending on the soil layer:

2.2.1. If SSURGO or STATSGO (with MUKEY field), locate the Access database associated with the soils dataset using the file browser button next to the Soils Database textbox.

2.2.2. If STATSGO (with MUID field), no additional steps are necessary because the do nothing; the comp.dbf and layer.dbf files will be located automatically.

2.2.3. If FAO, no additional steps are necessary because the FAO_component.dbf, FAO_properties.dbf, and FAO_summ.dbf files will be located automatically.

3. Click the Continue button to begin land cover and soils parameterization.

Note For both KINEROS and SWAT, parameters are added to the parameterization look-up tables for the discretization, but SWAT has additional parameters for multiple soil horizons that can be found in the <discretization name>_temp_soil_lut table found in the discretization geodatabase.

12.3 Batch Parameterizer steps

Figure 32: Batch Parameterizer form.

1. Select AGWA Tools>Parameterization Options>Batch Parameterizer.

2. For each parameterization to batch, add a row using the Add button, and

2.1. In the Parameterization Name field, enter an unused, descriptive name for the parameterization.

2.2. In the Element Parameterization field,

2.2.1. Select Create new parameterization to define new element parameterization options.

2.2.1.1. KINEROS only, in the Flow Length field, select Geometric Abstraction or Plane Average.

2.2.1.2. In the Hydraulic Geometry field, select an existing relationship from the combobox

2.2.1.3. In the Channel Type field, select an existing channel type from the combobox

2.2.2. Or, select an existing parameterization to copy the element parameterization from.

2.3. In the Land cover & soils parameterization field,

2.3.1. Select Create new parameterization to define new land cover and soils parameterization options.

2.3.1.1. In the Land cover grid field, select a land cover grid.

2.3.1.2. In the Look-up table field, select a look-up table associated with the selected land cover grid.

2.3.1.3. In the Soils layer field,

2.3.1.4. In the Soils database field, depending on the soil layer:

2.3.1.4.1. If SSURGO or STATSGO (with MUKEY field), locate the Access database associated with the soils dataset by clicking in the empty field.

2.3.1.4.2. If STATSGO (with MUID field), no additional steps are necessary because the comp.dbf and layer.dbf files will be located automatically.

2.3.1.4.3. If FAO, no additional steps are necessary because the FAO_component.dbf, FAO_properties.dbf, and FAO_summ.dbf files will be located automatically.

2.3.2. Or, select an existing parameterization to copy the land cover and soils parameterization from.

3. Click the Process button to begin the batch parameterization.

Note For both KINEROS and SWAT, parameters are added to the parameterization look-up tables for the discretization, but SWAT has additional parameters for multiple soil horizons that can be found in the <discretization name>_temp_soil_lut table found in the discretization geodatabase.


Section 13 - Precipitation

Section 13
Precipitation

AGWA provides several options for generating precipitation data for KINEROS and SWAT. KINEROS options allow the user to select pre-defined design storms, user-defined storms, or NOAA precipitation-frequency data. SWAT options use a single gage, uniform method, or a multiple gage, distributed method.

To access the precipitation options for SWAT and KINEROS, select AGWA Tools>Precipitation Options, and the item corresponding to the model of choice (Figure 33). The relevant form is opened based on your selection.

Figure 33: Precipitation Options on the AGWA Tools menu.

13.1 KINEROS

13.1.1 Overview

Several options are available for generating properly formatted KINEROS precipitation files. All precipitation files are written to the appropriate discretization folder in the geodatabase.

When a storm depth and duration are provided instead of a storm hyetograph, the depth value is converted to a hyetograph using the SCS methodology (SCS, 1973) and a type II distribution. The type II distribution and several others are shown in Figure 34, and a map of the applicability of the type II distribution is shown in Figure 35. The type II distribution is appropriate for deriving the time distribution of rainfall for most of the United States.

Figure 34. SCS distributions.

Figure 35. Applicability of type II distribution.

To generate precipitation files, go to AGWA Tools>Precipitation Options>Write KINEROS Precipitation. Four options for generating precipitation files are presented in the form: NOAA, User-Defined: Option1, User-Defined: Option 2, and Pre-Defined.

Precipitation files are written to the <workspace>\<delineation name>\<discretization name>\precip\ directory.

13.1.1.1 NOAA - Precipitation-Frequency Maps

Precipitation-frequency maps may be downloaded via NOAA's Precipitation Frequency Data Server (PFDS) (http://hdsc.nws.noaa.gov/hdsc/pfds/). For those states not covered by the NOAA dataset, we have developed a temporary alternative by digitizing and interpolating NOAA TP 40 rainfall frequency atlas maps. These data are available for download at http://www.tucson.ars.ag.gov/agwa/index.php?option=com_content&task=view&id=23&Itemid=44 until such time as the PFDS is complete.

Multiple durations and frequencies are available, but users should note that durations exceeding 48 hours are not applicable in KINEROS. AGWA 2.0 and newer consume grids with units of 1000ths of inches, whereas prior releases consumed grids with units of 100,000ths of inches. If grids with units other than 1000ths of inches are all that is available, a simple raster calculation with the appropriate conversion factor will produce compatible grids.

13.1.1.2 User-Defined: Option1

If users have their own event data, it can be entered manually on the Option1 tab of the User-Defined tab. The user must supply each time-depth or time-intensity pair for the event duration.

13.1.1.3 User-Defined: Option2

If the desired design storm is not found in the supplied database, the user can enter the number of time steps, depth, and duration manually on the Option2 tab of the User-Defined tab (Figure 39). The depth and duration is converted to a hyetograph using the SCS methodology (SCS, 1973) and a type II distribution (Figure 42).

13.1.1.4 Pre-Defined: AGWA Design Storm database

AGWA provides a number of design storms in the dsgnstrm.dbf located in the datafiles/precip folder. This file contains return period depths for specific locations. Load this table into the project before creating a precipitation file. Select the location and frequency from the available choices. The dsgnstrm.dbf can be modified by the user to include additional locations, durations, or return period depths (Figure 36) using the editing capabilities of ArcMap.

Figure 36. The dsgnstrm.dbf table.

13.1.1.5 Saturation Index

The saturation index is set in the Watershed Information panel, and can be entered manually or adjusted using the slider. It is the initial soil saturation value for the event and is the SA KINEROS parameter.

13.1.2 Steps

1. Write the KINEROS precipitation file for the discretization by selecting AGWA Tools>Precipitation Options>Write KINEROS Precipitation.

2. Select the appropriate tab.

2.1. On the NOAA tab.

Figure 37: KINEROS Precipitation form with NOAA tab selected.

2.1.1. Select a precipitation frequency grid from the Select Precipitation-Frequency Grid combobox.

2.1.2. Enter the frequency/return period of the selected grid in the Enter Frequency (yrs) textbox.

2.1.3. Enter the duration of the selected grid in the Enter Duration (hrs) textbox.

2.2. On the User-Defined: Option1 tab.

Figure 38. KINEROS Precipitation form with the Option1 tab selected on the User-Defined tab.

2.2.1. Select the rainfall data type: Depth (mm) or Intensity (mm/hr).

2.2.2. Enter the time-depth or time-intensity pairs in the empty table.

2.3. On the User-Defined: Option2 tab.

Figure 39: KINEROS Precipitation form with the Option2 tab selected on the User-Defined tab.

2.3.1. Enter the number of time steps to be used. (7 time steps for a 60 minute storm will result in 10 minute intervals.)

2.3.2. Enter the depth of the event.

2.3.3. Enter the duration of the event.

2.3.4. Enter the duration of the storm.

2.4. On the Pre-Defined tab.

Figure 40.KINEROS Precipitation form with the Pre-Defined tab selected.

2.4.1. Select the design storm database from the Select database combobox.

2.4.2. Select the location from the Select location combobox. The location is automatically populated based on the unique records found in the LOCID field of the selected database.

2.4.3. Select the frequency from the Select storm frequency(yrs) combobox. The frequency is automatically populated based on the unique records found in the FREQUENCY field of the selected database for the selected location.

2.4.4. Select the duration from the Select storm duration (hrs) combobox. The duration is automatically populated based on the unique records found in the DURATION field of the selected database for the selected location and frequency.

Figure 41. KINEROS Precipitation form showing the Watershed Information and Storm Location boxes.

3. In the Watershed Information box,

3.1. Use the Saturation Index slider to set the saturation index, or enter it manually.

3.2. Select the discretization the precipitation file will be written for from the Select Watershed combobox.

3.3. Enter an unused, descriptive name for the precipitation file in the Enter Filename textbox.

4. In the Storm Location box,

4.1. Select Apply to entire watershed to apply a uniform precipitation depth across the entire watershed.

4.2. Select Apply to area defined at right to apply a uniform precipitation depth to the area specified in the Storm Center box. In the Storm Center box, the center of the storm can be specified as well as the storm radius.

5. Click the Write button to write the precipitation file with the selected options.

13.2 SWAT

13.2.1 Overview

AGWA will generate precipitation files for SWAT using a single gage, uniform method, or a multiple gage, distributed method. The multiple gage method utilizes Thiessen polygons to create an area-weighted precipitation file. Precipitation estimates (and temperature estimates) can be adjusted for topography with the SWAT elevation band component for individual watersheds.

To generate precipitation files, go to AGWA Tools>Precipitation Options>Write SWAT Precipitation. Depending on the number of rain gages selected and whether daily precipitation is available for the selected gages, AGWA will perform the single gage or the Thiessen weighting

Figure 42. Example of an unweighted precipitation file.

Both options require an unweighted precipitation file containing a minimum of three fields: YEAR, DAY, and a gage field named G<gage id>. DAY refers to the Julian day of the year (1-366) with values repeating for each year in the record. The gage id in the G<gage id> field matches the ids in the gage field of the rain gage point theme. The units of the G<gage id> fields are millimeters. For example, if the rain gage ID field of the rain gage point theme is GageID and gage 24 is selected, the unweighted precipitation file should have a corresponding G24 field.

Weighted averages will be adjusted for missing or negative precipitation values. Missing data should be indicated with a -99.0 in the G<gage id>field of the days with missing data. See Figure 42 for an example of an unweighted precipitation file.

Precipitation files are written to the <workspace>\<delineation name>\<discretization name>\precip\ directory.

13.2.1.1 Uniform Precipitation

If only a single gage is selected, or if multiple gages are selected and the unweighted precipitation file only contains data for one of them, the uniform precipitation option will be selected. The uniform precipitation option applies a single rainfall depth for each day across the entire watershed. This depth, along with temperature, can be modified by topography if elevation bands are used.

13.2.1.2 Distributed Precipitation

If multiple gages are selected (Figure 43) and the unweighted precipitation file has data for at least two of them, the distributed precipitation option will be selected. Distributed precipitation files use Thiessen polygons to assign precipitation depths to different areas in the watershed based on the closest gage. Thiessen polygons are zones where any location within the zone is closest to the gage associated with the zone then to any other gage. The Thiessen polygons (Figure 44) are created automatically by AGWA and intersected with the discretization feature class. The resulting intersection theme (Figure 45) has a weight assigned to each polygon representing the percentage of that intersection polygon that comprises the subwatershed it intersected. This allows a weighted average to be calculated for subwatersheds that intersect multiple Thiessen polygons.

Figure 43. Example set of rain gage locations for a SWAT watershed.

Figure 44. Thiessen polygon theme based on the selected rain gages.

Figure 45. Thiessen polygon/watershed intersection theme.

If the selected gages in the rain gage point theme do not match the gages in the unweighted precipitation file, AGWA will display a message containing a list of gages that will not be used and a list of gages that will be used. This will not terminate the process.

The weighting scheme is modified to account for missing or negative precipitation values. The following outlines the weighting process for each day of the record:

· All gages in a subwatershed have values

o Weighted depth = weighted depth + (gage depth * gage weight)

· All gages in a subwatershed have no data

o Weighted depth = depth of the closest gage with data

· Some gages in a subwatershed have no data, but at least one has data

o Weighted depth = (gage weight / (1 - sum of the weights of the no data gages))

The weighting process can take a considerable amount of time. Several factors affect the total processing time: the number of gages, the length of the unweighted precipitation file, and the number of subwatershed in the discretization. In all cases, processing times increase with an increase in gages, the number of records in the unweighted precipitation file, or the number of subwatersheds.

13.2.2 Steps

Figure 46. SWAT Precipitation Step 1 form.

1. Write the SWAT precipitation file for the watershed by selecting AGWA Tools>Precipitation Options>Write SWAT Precipitation.

2. Select the discretization from the Discretization combobox.

3. In the Rain Gage Input box,

3.1. Select the rain gage point theme from the Rain gage point theme combobox.

3.2. Select the rain gage ID field from the Rain gage ID field combobox

3.3. Select the gage selection tool and select the gages to be used for precipitation weighting. The identifiers will be displayed in the Selected Gages area.

4. In the Elevation Inputs box,

4.1. If using elevation bands is not desired, leave the Use Elevation Bands checkbox unchecked.

4.2. If using elevation bands is desired, check the Use Elevation Bands checkbox.

4.2.1. If checking the Enter elevation values manually radiobutton, enter the elevations in meters for each of the selected gages in the table that appears,

4.2.2. If checking the Acquire gage elevation from the gage attribute table radiobutton, select a field containing elevation data in meters from the Elevation field combobox.

4.2.3. If checking the Acquire gage elevation from the DEM radiobutton, select a DEM with Z-units in meters that will be queried for elevation at each gage location.

5. Click Continue to move to the next step.

5.1. If only one gage is selected, the SWAT Uniform Precipitation form opens.

Figure 47. SWAT Uniform Precipitation form.

5.1.1. Select the unweighted precipitation file from the Unweighted precipitation file combobox.

5.1.2. Enter a filename for the precipitation file. There cannot be precipitation files with identical names for the same discretization.

5.1.3. Click the Write button to write the precipitation file with the selected options.

5.2. If more than one gage is selected, the Distributed Precipitation Weighting form opens.

Figure 48. SWAT Distributed Precipitation form.

5.2.1. Select the Unweighted precipitation file from the precipitation file combobox. Selected gages will not be used if a corresponding field is not present in the unweighted precipitation file.

5.2.2. Enter a filename for the precipitation file. There cannot be precipitation files with identical names for the same discretization.

5.2.3. Click the Write button to write the precipitation file with the selected options.


Section 14 - Simulation Options

Section 14
Simulation Options

Writing the model input files creates a simulation directory and writes all required input files for the model. When writing the input files, AGWA loops through features of the selected discretization and reads the model parameters from the parameterization look-up tables to write into the input files for the model. AGWA currently supports the KINEROS2, SWAT2000, and SWAT2005 models.

To access the simulation options for SWAT and KINEROS, select AGWA Tools>Simulation Options, and the item corresponding to the model of choice (Figure 49). The relevant form is opened based on your selection.

Figure 49. Simulation Options on the AGWA Tools menu.

14.1 KINEROS

14.1.1 Overview

Once the watershed has been delineated, discretized, and parameterized, and the precipitation file has been created, the model input files for KINEROS can be written and the model executed. The input files are written to the <workspace>\<delineation name>\<discretization name>\simulations\<simulation name> directory. After the model input files are written, the model is executed, and the model results are imported into AGWA.

When writing a simulation, a new directory with the name of the simulation will be created in the <workspace>\<delineation name>\<discretization name>\simulations\ directory to store in the input and output files of the model. AGWA generates a KINEROS control file (kin.fil) which directs the model how long to run and what the input and output file names are. The control file includes the following items on one line, separated by commas:

· parameter filename,

· precipitation filename,

· output filename,

· comments,

· duration,

· timestep (1 minute default),

· use Courant criteria (Y/N),

· simulate sediment transport (Y/N),

· multipliers filename,

· include tabular summary(Y/N),

· API initializing (Y/N)

The filenames in the kin.fil file and the model parameter file do not include the full path. Instead, relative paths are used, ensuring KINEROS will only read or write files within the simulations folder. Model results are written to the output filename, which is the same as the parameter file name with an .out extension. AGWA defaults 1 for the timestep, y for use Courant criteria, y for simulate sediment transport, y to include tabular summary, and n to API intializing. AGWA also writes a batch file (file.bat) to execute the model. Figure 50 is an example of what a successful model run looks like at the command prompt.

Figure 50. A successful KINEROS model run.

14.1.1.1 Optional Multipliers

Multipliers are values used to adjust plane and channel parameters before the KINEROS simulation, but do not modify the parameterization look-up tables for the discretization or stream feature classes. These values serve to calibrate the simulation. Multipliers range between -5 and +5, excluding zero. Multipliers are added in the Optional Multipliers tab of the KINEROS Simulation Information form when writing the input files.

14.1.2 Steps

Figure 51. KINEROS Simulation Information form.

6. Write the KINEROS input files for a discretization by selecting AGWA Tools>Simulation Options>KINEROS Options>Write KINEROS Input Files.

7. On the Basic Info tab,

7.1. Select a discretization from the Select the discretization combobox.

7.2. Select a parameterization from the Select the parameterization combobox.

7.3. Select a precipitation file from the Select the precipitation combobox.
OPTIONAL Click the Browse button to import a precipitation file that was not written by AGWA.

7.4. OPTIONAL Select multiplier file from the Select the multiplier file combobox.

7.5. Enter a name for the simulation. There cannot be simulations with identical names for the same discretization.

8. OPTIONAL Select the Optional Multipliers tab and enter multipliers for the given parameters.

9. Click the Write button to write model input files

Figure 52. Run KINEROS form.

Once a simulation has been written, it must still be run. Running a simulation is accomplished from the Run KINEROS form (Figure 52).

10. Execute the KINEROS simulation by selecting AGWA Tools>Simulation Options>KINEROS Options>Execute KINEROS Model.

11. Select the discretization from the Select the discretization combobox.

12. Select the simulation from the Select the simulation combobox.

13. Click Run. The command window will remain open after the model executes until a key is pressed. This allows a quick glance at the command window to see if the model ran successfully.

14.2 SWAT2000/SWAT2005

14.2.1 Overview

Once the watershed has been delineated, discretized, and parameterized, and the precipitation file has been created, the model input files for SWAT can be written and the model executed. The input files are written to the <workspace>\<delineation name>\<discretization name>\simulations\<simulation name> directory. After the model input files are written, the model is executed, and the model results are imported into AGWA.

When writing a simulation, a new directory with the name of the simulation will be created in the <workspace>\<delineation name>\<discretization name>\simulations\ directory to store in the input and output files of the model. Figure 53 is an example of what a successful model run looks like at the command prompt.

Figure 53. A successful SWAT2000 simulation.

14.2.1.1 Weather Generator File

A weather generator file contains statistical data for a weather station that is used by SWAT to estimate daily maximum and minimum temperatures, rainfall, and other climate parameters required by SWAT. A point theme of available stations is provided in the datafiles\wgn directory. If the watershed is large, there may be several weather stations SWAT can use. Similarly to the Thiessen weighting for distributed precipitation, AGWA will create Thiessen polygons for the weather stations. Where Thiessen polygons intersect a subwatershed, the dominant polygon’s weather station will be used. Additionally, some of the climate parameters associated with a weather station may be adjusted in AGWA.

14.2.1.2 Advanced Inputs

Five options are provided on the Advanced Inputs tab in the SWAT Input Files form (Figure 54): monthly subbasin adjustment factors, groundwater input file modifications, Nitrogen/Phosphorus simulation, WGN climate modification, and Elevation bands. Any or all of the options can be utilized in a simulation. If you do not wish to use one of the options, simply leave the default values provided by AGWA.

Figure 54. SWAT Input Files with the Optional Input Parameters tab selected.

14.2.1.2.1 Subbasin Adjustment Factors

Subbasin adjustment factors include rainfall, temperature, radiation and humidity. These factors modify the daily estimates for a given month. The values are given in percent on the respective tabs in the Subbasin Adjustment Factors panel. For example, if the rainfall adjustment factor for July is set to 12, the daily estimates for July are adjusted to 112% of the original values. The factors are the same for all subwatersheds.

14.2.1.2.2 Groundwater Input File

This option allows users to specify parameters for the groundwater files in SWAT on the Groundwater Input group box. SWAT simulates groundwater movement with two aquifer systems: a shallow, unconfined aquifer that contributes to the streams within the subwatershed and a deep, unconfined aquifer that contributes to streams outside the subwatershed. The specified values are used for all subwatersheds.

14.2.1.2.3 Nitrogen and Phosphorous Modeling

This provides basic water quality modeling through SWAT. This process can be undertaken with no additional information; however, the CROP values for each subwatershed can be modified to reflect different management or land cover types.

To modify the CROP values, double-click the row for the subwatershed on the Nitrogen and Phosphorus Simulation panel. Select a new CROP type in the Crop Selection form that appears, and click OK. The list will be modified to reflect the new CROP number, and will be used when parameterizing the current SWAT simulation. The CROP values in the watershed are not affected. Check the Simulate N/P? box to simulate Nitrogen and Phosphorous.

14.2.1.2.4 Modify WGN Climate

Figure 55. Climate Assessment Tool form.

The Climate Assessment Tool gives users the ability to modify certain climate parameters used in the SWAT weather generator. As seen in Figure 55, default values for a selected climate station are displayed on the left and editable values are displayed on the right. There are several more parameters including dewpoint, solar radiation, and average wind speed that SWAT uses in the weather generator which are not displayed and are not editable.

There are several ways to modify the values in the form. Values for each parameter can be changed cell-by-cell for each month of the year. Alternatively, values for an entire column can be changed uniformly using the Change entire column row. The annual row can also be used to modify the entire column for mean precipitation and number of wet days; the precipitation and number of wet days will be distributed according to their initial values.

At the bottom, enter a name for WGN theme that will point to the modified station you are creating. Below this, enter a name for the new station file that will contain the modified climate parameters. The new WGN theme should be used and the new station selected in the SWAT Input Files form when altered climate scenario is desired.

14.2.1.2.5 Use Elevation Bands

Elevation bands allow users to adjust precipitation and temperature estimates based on orographic effects. These adjustments are made during the simulation process and do not affect the precipitation file generation. The process utilizes the elevation data acquired earlier in the precipitation file generation process as well as the mean elevation of the bands for each subwatershed.

Figure 56. SWAT Elevation Bands form.

SWAT limits the number of bands for a given subwatershed to 10. When Use equal elevation intervals for entire watershed is selected, the same elevation interval is used in each subwatershed; consequently the 10 elevation band per subwatershed limit may never be reached. To provide higher resolution elevation bands, AGWA also supports different elevation intervals in each subwatershed. When Use equal elevation intervals for each subwatershed is selected, AGWA determines the appropriate elevation band interval for each subwatershed so that all subwatersheds have 10 elevation bands. This options does require more time to process however.

14.2.2 Steps

Figure 57. SWAT2000 Input Files form.

1. Write the SWAT input files for a discretization by selecting AGWA Tools>Simulation Options>SWAT2000 Options>Write SWAT2000 Input Files. The procedure for SWAT2005 is identical.

2. On the Basic Inputs tab,

2.1. Select a discretization from the Select watershed combobox.

2.2. Select a parameterization from the Select parameterization combobox.

2.3. On the Climate Inputs tab

2.3.1. In the Weather Generator box, select the WGN theme from the Select WGN Theme combobox and use the selection tool to select the closest weather station or stations to the watershed.

2.3.2. In the Precipitation box,

2.3.2.1. Select the Use observed precipitation radiobutton if observed data is available and a precipitation file was written for the discretization.

2.3.2.2. If no observed precipitation is available, SWAT has a weather generator which will generate precipitation for the simulation period using the statistical parameters associated with the selected WGN weather station. Select the Generate precipitation from WGN station.

2.3.3. In the Temperature box,

2.3.3.1. Select the Use observed temperature radiobutton if observed data is available and navigate to and select the temperature file. The period of record for the temperature file should match the period of record for the precipitation file

2.3.3.2. If no observed precipitation is available, SWAT has a weather generator which will generate precipitation for the simulation period using the statistical parameters associated with the selected WGN weather station. Select the Generate temperature from WGN station.

Note Using observed precipitation and temperature data is generally the better option, but observed data may not be available or modified climate scenarios may be preferred. For formatting and data requirements of observed temperature data, refer to the provided TMP files in the \AGWA\datafiles\precip\ directory and the SWAT User’s Manual.

2.4. On the Simulation Inputs tab,

2.4.1. In the Simulation Time Period box, select a start date and end date for the simulation. These dates are controlled by the period of record in the daily precipitation and temperature files.

2.4.2. In the Select Output Frequency box, select Daily, Monthly, or Yearly. Unless you have daily or monthly observed data to compare to, the yearly output frequency default should be sufficient.

2.4.3. Enter a name for the simulation.

3. On the Advanced inputs (optional) tab,

3.1. Make adjustments to the Subbasin (.sub) Adjustment Factors if desired.

3.2. Make adjustments to the Groundwater Input File (.gw) if desired.

3.3. Turn on N/P Simulation and edit the crop types for the subwatersheds if desired.

3.4. Use the Climate Assessment Tool to modify the WGN files by clicking the Modify WGN Climate button if desired.

3.5. Use elevation bands by clicking the Use Elevation Bands if desired.

4. Click the Write button to write model input files

Figure 58. Run SWAT form.

Once a simulation has been written, it must still be run. Running a simulation is accomplished from the Run SWAT form (Figure 58).

5. Execute the SWAT simulation by selecting AGWA Tools>Simulation Options>SWAT2000 Options>Execute SWAT2000 Model.

6. Select the discretization from the Select the discretization combobox.

7. Select the simulation from the Select the simulation combobox.

Click Run. The command window will remain open after the model executes until a key is pressed. This allows a quick glance at the command window to see if the model ran successfully.


Section 15 - Results

Section 15
Results

Simulation results must be imported following the successful execution of SWAT or KINEROS.

15.1 Overview

Figure 59. View Results on the AGWA Tools menu.

To view model results in AGWA, the results must be imported. This involves reading the ascii model output files and storing the desired information in DBF files that can be joined to the discretization and streams feature classes in AGWA. The DBF files are stored in the simulation directory, <workspace>\<delineation name>\<discretization name>\simulations\<simulation name>, after being imported. If a simulation is edited outside of AGWA, or rerun, if the model results have already been imported, any changes made will not show up in AGWA. To fix this problem, the DBF files the results are stored in must be deleted so they can be reimported with the newer simulation results. The DBF files are named p<simulation name>.dbf and c<simulation name>.dbf for the discretization and streams results, respectively.

15.1.1 KINEROS Outputs

15.1.1.1 Hillslope

Infilt_m | infiltration (mm)
Infilt_e | infiltration (in)
Runoff_mm | runoff (mm)
Runoff_m3 | runoff (m3)
Sed_out | sediment yield (kg/ha)
Pflow_m3s | peakflow (m3/s)
Pflow_mmh | peakflow (mm/hr)
PSedQ_kgs | peak sediment discharge (kg/s)
Percent Error | mass balance error (%)

15.1.1.2 Stream

Infilt_m | infiltration (m3/km)
Infilt_e | infiltration (ac-ft/mi)
Runoff_mm | runoff (mm)
Runoff_m3 | runoff (m3)
Sed_out | sediment yield (kg)
Pflow_m3s | peakflow (m3/s)
Pflow_mmh | peakflow (mm/hr)
PSedQ_kgs | peak sediment discharge (kg/s)
Z_change | channel scour (mm/m2)
Percent Error | mass balance error (%)

15.1.2 SWAT Outputs

15.1.2.1 Subwatershed

Precip_mm | total precipitation for the subwatershed for the given time period (mm)
ET_mm | estimated evapotranspiration (mm)
Perc_mm | estimated percolation for the subwatershed (mm)
Surq_mm | estimated surface runoff for the subwatershed (mm)
Tloss_mm | estimated transmission loss for the subwatershed (mm)
Watyld_mm | estimated water yield (mm)
SedYld_t_h | estimated sediment yield (t/ha)
OrgN_kg/ha | Organic Nitrogen contributed by the subwatershed to the channel (kg/ha)
OrgP_kg/ha | Organic Phosphorus contributed by the subwatershed to the channel (kg/ha)
SedP_kg/ha | Mineral Phosphorus attached to sediment contributed by the subwatershed to the channel (kg/ha)
SurN_kg/ha | NO3 contributed by surface runoff from the subwatershed to the channel (kg/ha)
SolP_kg/ha | Soluble Phosphorus contributed by surface runoff from the subwatershed to the channel (kg/ha)

15.1.2.2 Stream

Watyld_mm | estimated water yield (mm)
Tloss_m3s | estimated transmission loss (m3/s)
SedYld_mtn | sediment yield (tons)
Q_cmd | channel runoff (m3/day)
SedCon_mg/kg | Sediment concentration (mg/kg)
OrgN_kg | Organic Nitrogen transported by water from the channel (kg)
OrgP_kg | Organic Phosphorus transported by water from the channel (kg)
NO3_kg | Nitrate transported by water from the channel (kg)
NH4_kg | Ammonium transported by water from the channel (kg)
NO2_kg | Nitrite transported by water from the channel (kg)
MinP_kg | Mineral Phosphorus transported by water from the channel (kg)

15.1.3 Differencing

This option generates new results tables containing the difference in output values between two simulations for a watershed. This can be used to analyze the impacts of different land cover types or events sizes. The difference can be expressed as absolute change or as percent change.

Due to variations in SWAT outputs for different types of simulations, differenced results contain only the estimates for outputs common to both simulations. For example, if simulation 1 was performed with the Nitrogen and Phosphorus Simulation option but simulation 2 was not. The results specific to Nitrogen and Phosphorous modeling will not be included in the calculated differences. This also affects HRU outputs.

15.2 Results steps

Figure 60. AGWA Results form.

1. Import and view the model results by selecting AGWA Tools>View Results>SWAT Results>View SWAT2000 Results or AGWA Tools>View Results>KINEROS Results>View KINEROS Results.

2. In the Results Selection box,

2.1. Select a discretization from the Watershed combobox.

2.2. If no simulations have been imported, click the Import button. A message box will appear for each simulation not already imported, asking if you would like to import that simulation.

2.3. Select a simulation from the Simulation combobox.

2.4. Select the output from the Output combobox.

2.5. Click the Update button.

3. OPTIONAL – In the Difference tab,

3.1.1. Select a simulation from the Simulation 1 combobox.

3.1.2. Select another simulation from the Simulation 2 combobox.

3.1.3. Select the Percent Change or Absolute Change radio button.

3.1.4. Enter a name for the difference result. It is automatically added to the Simulation combobox in the Results Selection box.

Note Results tables are not currently added to the ArcMap document but left in the <workspace>\<delineation name>\<discretization name>\simulations\<simulation name> directory.

Note Results tables are automatically joined to the discretization and streams feature classes upon updating of the output.


Section 16 - Other Options

Section 16
Other Options

The Other Options menu item (Figure 61) for AGWA includes AGWA Preferences, the Land Cover Modification Tool, Burn Severity Tool, Rainwater Harvesting Tool, and Upgrade GDB tool.

Figure 61. Other Options menu in AGWA.

16.1 AGWA Preferences

The AGWA preferences allow the Home, Temporary Files, and Default Workspace Directories to be set. The Home directory must be set properly or AGWA will not function. AGWA has built-in checks to ensure the correct Home Directory is selected by matching the expected files list to the actual files list. The Temporary Files directory must be set, but the only requirement is that the path contains no white space. The Default Workspace location does not need to be set, but can save time and frustration if you will be performing multiple delineations and setting the workspace to a deeply nested directory. These directory preferences are saved in the metadata of the map document, so the directories must be set for each new map document

The AGWA Home Directory is the location where the AGWA directory downloaded from the AGWA website was extracted.

Figure 62. AGWA Preferences form.

16.2 Land Cover Modification Tool

The Land Cover Modification Tool (LCMT) allows users to modify a land cover map and run AGWA to determine the hydrologic effects of the land cover change. Land cover modifications can account for fire, urbanization, climate change or other natural or anthropogenic changes. The tool can be used with the supported AGWA datasets (MRLC, NALC, etc.) or with custom-defined land covers, provided the custom look-up tables conform to the AGWA standard. See Figure 63 for the LCMT-AGWA workflow.

Figure 63. Land Cover Modification Tool workflow within AGWA.

Any land cover supported by AGWA can be modified with the tool, including custom land covers. The classification choices for the modified surface are limited to those classifications found in the selected land cover look-up table; users can modify these tables or create new tables to include different classes and parameter values.

The Land Cover Modification Tool form offers four modification options. The first four options allow the user to modify the land cover within an interactively drawn polygon, or within an existing polygon map.

· Single Change: Change all of the land cover in an area to a new land cover type

· Single Change: Change one land cover type in an area to a new land cover type

· Random Distribution: Change all of the land cover in an area to 2-3 new land cover types in a spatially distributed random pattern

· Random Distribution: Change all of the land cover in an area to 2-3 new land cover types in a patchy fractal distribution pattern

16.2.1 Modification Scenario - Single Change

This modification scenario includes two options: Change entire polygon, and Change one land cover to another. The Change entire polygon scenario requires the user to select the land cover type to change to. The Change one land cover to another scenario requires the user to select the land cover type to change from and the land cover type to change to.

16.2.2 Modification Scenario - Random Distributions

This option provides two types of random distributions: Spatially random surfaces and Patchy fractal surfaces. The Spatially random surface is a completely spatially random surface. The Patchy fractal surface is generated with the Land Cover Modification Fractal executable (LCMF) that is located in the \AGWA\models\ directory. See Appendix B: Land Cover Modification Fractal Component for a description of the LCMF model. The H value for the Patchy fractal surface controls the size of the patches in the final surface, where patch size increases as H increases. Enter any integer value to act as the random seed.

16.2.3 Steps

Select the Output folder and name the new land cover that will be created (Figure 81). The Output folder is also the location where shapefiles are stored.

For the Single Change and Random Distribution modification scenarios the user must select an existing polygon map, or interactively draw a polygon to define the area of land cover change.

To use an existing polygon map, select the No button next to the word Create? Then select the map from the combobox, and select it with the polygon select tool.

To draw a new polygon around the area for land cover modification, select the Yes button. Enter a name for the new polygon, and the interactive draw polygon tool will become enabled. Select this tool and then begin drawing a polygon around the area you wish to analyze (Figure 82). Double-click to finish the polygon. Once the draw polygon tool changes to the select polygon tool, use it to manually select the polygon you have drawn. Click Process to create the new land cover map.

Figure 64. Land Cover Modification Tool form.

1. Open the Land Cover Modification Tool by selecting AGWA Tools>Precipitation Options>Write KINEROS Precipitation.

2. On the Input Land Cover tab,

2.1. Select a land cover grid from the Land Cover grid combobox.

2.2. Select the land cover look-up table for the selected land cover grid from the Look-up table combobox.

3. On the Output Land Cover tab,

3.1. Click the folder browser button to select an output location for the new land cover grid to be saved.

3.2. Enter a name for the new land cover grid in the New land cover name textbox.

4. On the Polygon Definition tab,

4.1. If creating a new polygon,

4.1.1. Select the Yes radio button.

4.1.2. Type in a name in the New shapefile textbox.

4.1.3. Select the polygon draw tool to draw the polygon by hand. Single-clicks will add a vertex, double-clicks finish the polygon.

4.1.4. Use the select features tool to select the polygon in the newly created shapefile.

4.2. If using an existing polygon feature class,

4.2.1. Select the No radio button.

4.2.2. Select the feature class containing the polygon(s) with which to alter the land cover from the Polygon feature class combobox.

4.2.3. Use the select features tool to select the polygon from the selected polygon feature class.

5. Select a land cover Modification Scenario to proceed.

5.1. Single Change tab

5.1.1. Select the Change entire polygon radiobutton, or

5.1.2. Select the Change one land cover type to another radiobutton.

5.1.2.1. Select the original land cover type to change from in the From type combobox.

5.1.3. Select the land cover type to change to in the To type combobox.

5.2. Random Distributions tab

5.2.1. Select the new land cover types and corresponding percentages.

5.2.1.1. Select the type of distribution.

5.2.1.1.1. Completely spatially random surface, or

5.2.1.1.2. Randomly distributed patchy surface.

5.2.1.1.2.1. Select an H value with the slider or by entering a number in the textbox.

5.2.1.1.2.2. Type an integer in the Random Seed textbox.

6. Click Process to create the new land cover grid.

16.3 Burn Severity Tool

The Land Cover Burn Severity Tool (Figure 65) allows the use of a burn severity map to modify an existing land cover grid to aid modeling post-fire watershed response. Pre- and post-fire precipitation and runoff records from several gaged forested watersheds (Marshall Gulch, Arizona; Starmer Canyon, New Mexico; Bonita Canyon, Arizona) have been analyzed to characterize post-fire runoff response and recovery. For background on this work and the selection of parameter values associated with burn severity for different land cover classes, see Canfield et al., 2005.

Figure 65. Land Cover Burn Severity Tool form.

16.4 Rainwater Harvesting

The Rainwater Harvesting tool (Figure 66) is used with KINEROS to simulate direct capture of storm runoff from roofs in developed land cover classes. AGWA calculates a weighted depth that is used as the interception value in KINEROS to represent the rainwater harvesting capture. The weighted depth is calculated in several steps. First the area of a selected developed land cover class within an element is multiplied by the housing density of the selected land cover class to get the number of houses on the element. The number of houses on is multiplied by the average roof size to determine the harvested area. The harvested area is multiplied by an average depth collected per roof to get a total volume of captured rainwater. The total volume of captured rainwater is then divided by the element area to arrive at the interception value fed to KINEROS.

Figure 66. Rainwater Harvesting Parameterization form.

16.5 Upgrade GDB

The Upgrade GDB tool is used to upgrade AGWA geodatabases from AGWA 2.x versions so they are compatible with AGWA 3.0 and newer. The upgraded geodatabases are placed in a subdirectory of the Output Workspace. To use them in an existing map document, you must remove the old delineations and discretizations and add the upgraded delineations and discretizations from the output workspace.


Section 17 - Appendix A: Obtaining Spatial Datasets

Section 17
Appendix A: Obtaining Spatial Datasets

The AGWA tool is designed to be used with geospatially referenced data, which includes most data types supported by ArcGIS, namely feature classes and rasters. Images can be used for reference within a view, but are not used directly by AGWA. For your convenience, we have included several links to websites where datasets required by AGWA are located. The list is not comprehensive.

17.1 DEM (Digital Elevation Model)

· http://viewer.nationalmap.gov/viewer/

· http://earthexplorer.usgs.gov/

· http://datagateway.nrcs.usda.gov/

17.2 Land Cover grid

17.2.1 NALC (North American Landscape Characterization Project)

· http://www.epa.gov/esd/land-sci/north-am.htm

17.2.2 NLCD (National Land Cover Dataset)

· http://viewer.nationalmap.gov/viewer/

· http://www.epa.gov/mrlc/

· http://datagateway.nrcs.usda.gov/

17.3 Soil Polygon Map

17.3.1 STATSGO (State Soil Geographic Database)

· http://websoilsurvey.nrcs.usda.gov

· http://water.usgs.gov/GIS/metadata/usgswrd/XML/ussoils.xml

· http://datagateway.nrcs.usda.gov/

17.3.2 SSURGO

· http://websoilsurvey.nrcs.usda.gov

· http://water.usgs.gov/GIS/metadata/usgswrd/XML/ussoils.xml

· http://datagateway.nrcs.usda.gov/

17.3.3 FAO - DSMW (Food and Agriculture Organization of the United Nations - Digital Soil Map of the World)

· http://www.tucson.ars.ag.gov/agwa/index.php?option=com_jdownloads&Itemid=58&view=viewcategory&catid=17

· http://www.fao.org/icatalog/search/dett.asp?aries_id=103540

17.4 KINEROS Precipitation Data

· http://water.weather.gov/

· http://hdsc.nws.noaa.gov/hdsc/pfds/

· http://www.nws.noaa.gov/oh/hdsc/noaaatlas2.htm

· http://www.tucson.ars.ag.gov/agwa/index.php?option=com_content&task=view&id=23&Itemid=44

17.5 SWAT Precipitation Data

· http://water.weather.gov/

· http://www.ncdc.noaa.gov/

· http://www.wrcc.dri.edu/

· http://cdo.ncdc.noaa.gov/CDO/cdo

· http://daymet.ornl.gov/


Section 18 - Appendix B: Land Cover Modification Fractal Component

Section 18
Appendix B: Land Cover Modification Fractal Component

The Land Cover Modification Fractal (LCMF) component generates a multifractal surface with multiple land cover types. The result is a surface consisting of spatially randomly distributed patches within any polygon area defined by the user (Figure B1). This option was previously available through the Land Cover Modification Tool as an ArcView algorithm. The conversion to a Fortran 90 executable greatly improves its performance and allows for the generation of larger surfaces. This component was specifically written to be used in AGWA and the Land Cover Modification Tool (Scott, 2005).

Figure B1. The LCMF process. (left) The input mask grid (black = NODATA); (center) the multifractal surface; and (right) the final surface (Scott, 2005).

The multifractal algorithm is based on the two-dimensional midpoint displacement algorithm described by Saupe and Peitgen (1988). The algorithm combines a displacement process with successive random additions, based on average cell values of the surrounding cells and modified by a Gaussian random number. The displacement, in effect, rotates the surface 45° for each processing step. Patchiness is determined by the fractal dimension D, where D = 3 - H. Patch size increases as H approaches 1. Low H values, however, do not produce completely spatially random surfaces – the multifractal surface always displays some clustering tendency. The algorithm is restricted to squares with dimensions based on 2x, where x is the number of recursions in the fractal process.

The LCMF requires four basic inputs to create a surface – a mask of the irregular polygon, the new land cover types (as integer codes), the proportion of each type, and the level of patchiness. The number of recursions is determined by the size of the input mask, which calculates the x value based on the maximum number of rows or columns. The model constructs an array with the calculated dimensions, populates the array with random numbers based on the Bays and Durham generator (Press, 1996) and performs the multifractal displacement. Once the calculations are complete, breakpoints based on the proportions are calculated for the area described by the mask. The array values are replaced by integer values based on the input land cover types using the derived breakpoints. All other areas are set to 9999 (NODATA). The integer array is written to a new ASCII file with the same dimensions as the original input mask. In general, proportions of the final surface are within 1-2% of the specified values.

The executable can be run outside of AGWA to generate surfaces with more than three land cover types. The required inputs are listed in the patch.fil file in the following order:

Line 1 mask file name (full pathname)

Line 2 new grid name (no extension or path)

Line 3 working folder (location of the output ASCII)

Line 4 number of vegetation types

Line 5 integer values of vegetation types*

Line 6 integer values of percentages (percentages are the running total)*

Line 7 integer seed value (positive)

Line 8 H value (0.01-0.99)

*Lines 5 and 6 are fixed width inputs where vegetation types are 4 digit integers and percentages are 3 digit integers followed by a blank space. If either value contains fewer digits, those digits should be represented by blank spaces preceding numerical value.

Example: Create an output grid of 30% vegetation 34 and 70% vegetation 75.
The corresponding input lines would be

[][]34[][][]75

[]30[]100

([] represents one blank space)

If the spacing is incorrect, the vegetation and/or percentage values will be misread by the program, resulting in an incorrect ASCII file.

The mask file should be in ArcView ASCII format, with NODATA values set to 9999. If the exported ASCII grid contains negative values, these must be changed before use in the LCMF. The mask file size is limited to 10 MB, approximately 1400 x 1400 cells. This size restriction is based only on the number of cells and not the resolution – the actual map area that can be modified decreases as resolution increases.

To run the executable, open a DOS command line window and navigate to the folder containing the model and the input files. Enter “cmd /c lcmf” and hit Return. The model will generate a new ASCII file, with the new name, in the folder. This file can be imported into the GIS using the appropriate method.


Section 19 - References

Section 19
References

Arnold, C.L. and C.J. Gibbons, 1996. Impervious surface coverage: the emergence of a key environmental indicator. J. American Planning Assoc. 62:243-258.

Arnold, J.G., J.R. Williams, R. Srinivasan, K.W. King, and R.H. Griggs, 1994. SWAT-Soil Water Assessment Tool. USDA, Agricultural Research Service, Grassland, Soil and Water Research Laboratory, Temple, Texas.

Aronoff, S., 1985. The minimum accuracy value as an index of classification accuracy. Photogrammetric Engineering & Remote Sensing, 51(1): 99-111.

Band, L.E. and I.D. Moore, 1995. Scale: landscape attributes and geographical information systems, in: scale issues in hydrological modeling (Eds.) Kalma, J. D. and M. Sivapalan, John Wiley & Sons

Band, L.E., 1986. Topographic partition of watersheds with digital elevation models. Water Resources Research, 22(1):15-24.

Band, L.E., D.L. Peterson, R. Nemani, and S.W. Running, 1993. Forest ecosystem processes at the watershed scale: incorporating hillslope hydrology, Ecol. Modell., 63: 93-126.

Band, L.E., D.L. Peterson, S.W. Running, J.C. Coughlan, R.B. Lammers, J. Dungan, and R. Nemani, 1991. Forest ecosystem processes at the watershed scale: basis for distributed simulation, Ecol. Modell., 56: 151-176.

Calore, C., P. La Barbera, and G. Roth, 1997. On the use of informational entropy in GIS. in: Remote Sensing and Geographic Information Systems for Design and Operation of Water Resources Systems, Proceedings of Rabat Symposium, IAHS, Publ. No. 242.

Canfield, H.E., D.C. Goodrich, I.S. Burns, 2005. Selection of parameter values to model post-fire runoff and sediment transport at the watershed scale in southwestern forests. In: Proceedings, ASCE Watershed Management Conference, Williamsburg, VA, July 19-22, 2005.

Charbonneau, R., and G.M. Kondolf, 1993. Land use change in California, USA: nonpoint source water quality impacts. Environ. Man. 17:453- 460.

Chow, V.T., D.R. Maidment, and L.W. Mays, 1988. Applied Hydrology, McGraw Hill, New York , N.Y., p. 147-154.

Clarke, R.T., 1998. Stochastic Processes for Water Scientists: Developments and Applications. John Wiley & Sons, Inc., New York, 183pp.

Congalton, R.G., M. Balogh, C. Bell, K. Green, J.A. Milliken, and R. Ottman, 1998. Mapping and monitoring agricultural crops and other land cover in the Lower Colorado River Basin. Photogrammetric Engineering & Remote Sensing, 64(11): 1107-1113.

Congalton, R.M. and K. Green, 1999. Assessing the accuracy of remotely sensed data: principles and practices. Lewis Publishers, CRC Press, NY.

Congalton, R.M., R.G. Oderwald, and R. Mead, 1983. Assessing Landsat classification accuracy using discrete multivariate statistical techniques. Photogrammetric Engineering & Remote Sensing, 49(12): 1671-1678.

Crawford, N.H., and R.K. Linsley, 1966. Digital simulation on hydrology: Stanford Watershed Model IV. Stanford University Tech. Rep. No. 39. Palo Alto, Cal.: Stanford University.

Driessen, P., J. Deckers, O. Spaargaren, F. Nachtergaele, editors, 2001. Lecture Notes on the Major Soils of the World. FAO, Publishing and Multimedia Service, Information Division, Viale delle Terme di Caracalla, 00100 Rome, Italy. http://www.fao.org/DOCREP/003/Y1899E/ Y1899E00.HTM

Ebert, D.W., and T.G. Wade, 2004. Analytical Tools Interface for Landscape Assessments (ATtiLA), User Manual Version 2004, U.S. EPA Office of Research and Development, National Exposure Research Laboratory, Environmental Division, Landscape Ecology Branch, EPA/600/R-04/083.

Engman, E.T. and R.J. Gurney, 1991. Remote sensing in hydrology. Chapman and Hall, Van Nostrand Reinhold, NY.

Entekhabi, D., H. Nakamura, and E.G. Njoku, 1994. Solving the inverse problem for soil moisture and temperature profiles by sequential assimilation of multifrequency remotely sensed observations. IEEE Trans. Geosci. Remote Sensing, 32: 438-448.

Engel, B., J. Harbor, M. Bland, A. Krause, D. George, 2004. Impacts of Land Use Change on Water Resources, Purdue Research Foundation, West Lafayette, Indiana 47907. http://www.ecn.purdue.edu/runoff/index.html

Famiglietti, J.S. and E.F. Wood, 1991. Evapotranspiration and runoff for large land areas: land surface hydrology for atmospheric general circulation models. Surv. Geophys., 12: 179-204.

Famiglietti, J.S. and E.F. Wood, 1994. Multi-scale modeling of spatially variable water and energy balance processes. Water Resources Research, 30: 3061-3078.

Famiglietti, J.S. and E.F. Wood, 1995. Effects of spatial variability and scale on areal-average evapotranspiration. Water Resources Research, 31: 699-712.

FAO/UNESCO, 2003. Digital Soil Map of the World and Derived Soil Properties, Version 3.6. CD-ROM, Information Division, FAO, Viale delle Terme di Caracalla, 00100 Rome, Italy. http://www.fao.org/ag/agl/agll/dsmw.stm

Franklin, J.F., 1992. Scientific basis for new perspectives in forests and streams. pp. 25-72. IN: R. J. Naiman (ed.) Watershed Management. Springer-Verlag, NY.

Garbrecht, J. and L.W. Martz, 1993. Network and subwatershed parameters extracted form digital elevation models: The Bills Creek Experience, Water Resources Bulletin, American Water Resources Association, 29(6): 909-916.

Garbrecht, J. and L.W. Martz, 1995. TOPAZ: An automated digital landscape analysis tool for topographic evaluation, drainage identification, watershed segmentation and subcatchment parameterization; overview. ARS Pub. No. NAWQL 95-1, USDA-ARS, Durant, OK, 16 pp.

Garbrecht, J., and L.W. Martz, 1996. Digital landscape parameterization for hydrological applications, in HydroGIS 96: Applications of Geographic Information Systems in Hydrology and Water Resources Management, IAHS Publ., 235.

Goodrich, D.C., 1991. Basin scale and runoff model complexity, University of Arizona, Dep. of Hydrology and Water Resources Technical Report No. HWR 91-010,361 p.

Graf, W. L., 1988. Fluvial Processes in dryland rivers, Springer-Verlag Berlin Heidelberg, Germany.

Hernandez, M., W.G. Kepner, D.J. Semmens, D.C. Goodrich, and S.N. Miller, 2003. Integrating a Landscape/Hydrologic Analysis for Watershed Assessment, First Interagency Conference on Research in the Watersheds, Oct 27-30, Benson, AZ, U.S. Department of Agriculture, Agricultural Research Service.

Hord, R.M. and W. Brooner, 1976. Land-use map accuracy criteria. Photogrammetric Engineering & Remote Sensing, 42(5): 671-677.

Hunsaker, C.T., and D.A. Levine, 1995. Hierarchical approaches to the study of water quality in rivers. BioScience 45:193-203.

Hunsaker, C.T., D.A. Levine, S.P. Timmins, B.L. Jackson, and R.V. O'Neill, 1992. Landscape characterization for assessing regional water quality. Pp. 997-1006, in D.H. McKenzie, D.E. Hyatt, and V.J. McDonald (eds.), Ecological indicators. Elsevier Appl. Sci., New York.

Jackson, T.J., R.M. Ragan, and R.P. Shubinski, 1976. Flood frequency studies on ungauged urban watersheds using remotely sensed data. Proc. Natl. Symp. on Urban Hydrology, Hydraulics and Sediment Control, University of Kentucky, Lexington, KY.

Jackson, T.J., R.M. Ragan, and W.N. Fitch, 1977. Test of landsat-based urban hydrologic modeling. ASCE J. Water Resources Planning Management Division, 103, No. WR1 Proc. Paper 12950, pp 141-158.

Jarrell, W. (Discovery Farms Program), and L. Bundy (Department of Soil Science, University of Wisconsin), 2002. http://wpindex.soils.wisc.edu/ hydrologicsoilgroup.html

Jenson, S.K. and J.O. Domingue, 1988. Extracting topographic structure from digital elevation data for geographical information system analysis. Photogrammetric Engineering and Remote Sensing 54(11):1593-1600.

Junk, W. J., P.B. Bailey, and R.E. Sparks, 1989. The flood pulse concept in river-floodplain systems. Can. Spec. Publ. Fish. Aquat. Sci. 106:110- 127.

Karr, J.R. and I.J. Schlosser, 1978. Water resources and the land-water interface. Science 201:229-233.

La Barbera, P. and G. Roth, 1994. Scale properties and scale problems: network morphology and network identification from digital elevation maps. In: Advances in Distributed Hydrology (Ed.) Rosso et al., 131-148, Water Resources Publication, Colorado.

Langbein, W.B. and S.A. Schumm, 1958. Yield of sediment in relation to mean annual precipitation. Trans. Am. Geophys. Union, 39:1076- 1084.

Law, A.M., and Kelton, W.D., 1982, Simulation Modeling and Analysis. McGraw-Hill Inc., 400pp.

Lowrance, R.R., R.L. Todd, J. Fail, O. Hendrickson, R. Leonard, and L.E. Asmussen, 1984. Riparian forests as nutrient filters in agricultural watersheds. Bioscience 34:374-377.

Maidment, D.R., 1993. Handbook of Hydrology. David R. Maidment, ed., McGraw Hill, Inc.

Mark, D., J. Dozier, and J. Frew, 1984. Automated basin delineation from digital elevation data. GeoProcessing, 2:299-311.

Martz, L.W., and J. Garbrecht, 1993. Automated extraction of drainage network and watershed data from digital elevation models. Water Resources Bulletin, American Water Resources Association, 29(6):901-908.

Meentemeyer, V. and E.O. Box, 1987. Scale effects in landscape studies. In: Landscape heterogeneity and disturbance, pp. 15-34. (Ed.) M. G. Turner, Springer-Verlag, NY.

Miller, S.N, 1995. An Analysis of Channel Morphology at Walnut Gulch Linking Field Research with GIS Applications. Masters Thesis, School of Renewable Natural Resources, University of Arizona. Available from UMI Dissertation Services. 169 pp.

Moore, I.D. and R.B. Grayson, 1991. Terrain based prediction of runoff with vector elevation data. Water Resources Research, 27: 1177-1191.

Moore, I.D., A.K. Turner, J.P. Wilson, S.K. Jenson, and L.E. Band, 1993. GIS and land surface-subsurface modeling. In: Geographic Information Systems and Environmental Modeling (Eds.) Goodchild, M. F., P. O. Parks, and L. Y. Stayaert, Oxford University Press, Oxford, pp. 196-230.

Moore, I.D., E.M. O'Loughlin, and G.J. Burch, 1988. A contour-based topographic model for hydrological and ecological applications. Earth Surface Processes Landforms, 13: 305-320.

Nemani, R., L.L. Pierce, S.W. Running, and L.E. Band, 1993. Ecological processes at the watershed scale: sensitivity to remotely sensed leaf area index estimates. Int. J. Remote Sensing, 14: 2519-2534.

Nielsen, D.R. and J. Bouma, 1985. Soil spatial variability. In: Proceedings of a Workshop of the International Soil Science Society and the Soil Science Society of America, Pudoc, Wageningen, 243 pp.

O'Callaghan, J.F. and D.M. Mark, 1984. The extraction of drainage networks from digital elevation data. Computer Vision, Graphics and Image Processing, 28:323-344.

Omernik, J.M. 1987. Ecoregions of the United States: Map at a scale of 1:7,500,000. Suppl. Annals American Assoc. Geogr. 77(1).

Osborn, H.B., L.J. Lane, and V.A. Myers, 1980. Rainfall/watershed relationships for Southwestern thunderstorms; Transactions of the ASAE, v. 23, n. 1, p. 82-91.

Peterjohn, W.T. and D.L. Correll, 1984. Nutrient dynamics in an agricultural watershed: Observations on the role of a riparian forest. Ecology 65:1466-1475.

Press, W.H., 1996. Numerical Recipes in Fortran 90: the art of parallel scientific computing. 2nd Edition. Cambridge University Press, New York.

Ragan, R.M. and T.J. Jackson, 1980. Runoff Synthesis Using Landsat and SCS Model, J. of Hydrology, Divn., ASCE, Vol. 106 (HYS5): 667-678.

Rango, A., A. Feldman, T.S. George, III, and R.M. Ragan, 1983. Effective use of Landsat data in hydrologic models. Water Resources Bulletin, 19, 165-74.

Rawls, W.J., D.L. Brakensiek, and K.E. Saxton, 1982. Estimation of soil water properties. Transactions of the American Society of Agricultural Engineers 25(5):1316-1320.

Renard, K.G., G.R. Foster, G.A. Weesies, D.K. McCool, and D.C. Yoder (Coordinators), 1997. Predicting Soil Erosion by Water: A Guide to Conservation Planning with the Revised Universal Soil Loss Equation (RUSLE). Agricultural Handbook No. 703., U. S. Department of Agriculture, Washington, D.C. 404 p.

Reynolds, C.A., T.J. Jackson, and W.J. Rawls, 1999. Estimated Available Water Content from the FAO Soil Map of the World, Global Soil Profile Databases, and Pedo-transfer Functions. http://www.ngdc.noaa.gov/seg/cdroms/reynolds/reynolds/reynolds.htm

Rosenfield, G.H., K. Fitzpatrick-Lins, and H. Ling, 1982. Sampling for thematic map accuracy testing. Photogrammetric Engineering & Remote Sensing, 48(1):131-137.

Roth, N.E., J.D. Allan, and D.L. Erickson, 1996. Landscape influences on stream biotic integrity assessed at multiple scales. Landscape Ecology 11:141-156.

Saupe, D. and H. Peitgen, eds., 1988. The Science of Fractal Images. Springer, New York.

Scott, S.N., 2005. Implementing best management practices in hydrologic modeling using KINEROS and the Automated Geospatial Watershed Assessment (AGWA) Tool. Masters Thesis, School of Natural Resources, University of Arizona. 204p.

Semmens, D. J., D. C. Goodrich, C.L. Unkrich, R. E. Smith, D. A. Woolhiser, and S. N. Miller. 2008. Chapter 5: KINEROS2 and the AGWA modeling framework. In Hydrological Modelling in Arid and Semi-Arid Areas, 49-69. H. Wheater, S. Sorooshian, and K. D. Sharma, eds. Cambridge, U.K.: Cambridge University Press.

Shannon, C.E., 1948. A mathematical theory of communications. Bell System Technology Journal, 27: 379-423, 623-659.

Singh, V.P., 1995. Watershed modeling, In Computer Models of Watershed Hydrology (V. P. Singh, Ed.). Water Resources Publications, Highlands Ranch, Colorado. p. 1-22.

Smith, R.E., Goodrich, D.C., Woolhiser, D.A., and Unkrich, C.L., 1995, KINEROS - A kinematic runoff and erosion model. Chap. 20 Hydrology, Singh, V. J., Ed., Water Resources Pub., Highlands Ranch, Colo., pp. 697-732.

Soil Conservation Service, 1973. A Method for Estimating Volume and Rate of Runoff in Small Watersheds; SCS-TP-149, U.S. Department of Agriculture, Soil Conservation Service, Washington, DC.

Soil Conservation Service, 1986. Urban hydrology for small watersheds, Technical release No. 55; Soil Conservation Service, U.S. Department of Agriculture, Washington, DC.

Spanner, M.A., L.L. Pierce, D.L. Peterson, and S.W. Running, 1990. Remote sensing of temperate forest leaf area index: influence of canopy closure, understory vegetation and background reflectance. Int. J. Remote Sensing, 11: 96-111.

Spanner, M.A., L. Johnson, J. Miller, R. McCreight, J. Freemantle, J. Runyon, and P. Gong, 1994. Remote sensing of seasonal leaf area index across the Oregon transect. Ecol. Appl., 4: 258-271.

Sparks, R.E., 1995. Need for ecosystem management of large rivers and their floodplains. BioScience 45:168-182.

Star, J.L., J.E. Estes, and K.C. McGwire, 1997. Integration of Geographic Information Systems and Remote Sensing, Cambridge University Press, Cambridge, UK.

Sweet, W.V. and J.W. Geratz, 2003. Bankfull Hydraulic Geometry Relationships and Recurrence Intervals for North Carolina's Coastal Plain. Journal of the American Water Resources Association 39(4): 861-871.

Syed, K.H., 1999. The impacts of digital elevation model data type and resolution on hydrologic modeling. Doctoral Dissertation, Department of Hydrology and Water Resources, University of Arizona, 269pp.

U.S. Department of Agriculture, Soil Conservation Service, 1972. National Engineering Handbook, Section 4, Hydrology US Government Printing Office, Washington, D.C.

U.S. Department of Agriculture, Natural Resources Conservation Service, 1994. State Soil Geographic (STATSGO) Data Base: Data Use Information, National Cartography and GIS Center, Fort Worth, Texas.

U.S. Department of Agriculture, Natural Resources Conservation Service, 1995. Soil Survey Geographic (SSURGO) Data Base: Data Use Information, National Cartography and GIS Center, Fort Worth, Texas.

U.S. Army Corps of Engineers, 1976. Urban storm water runoff, STORM. Computer program 723-L2520, Hydrologic Engineering Center, Davis, CA.

van Genderen, J.L. and B.F. Lock, 1977. Testing land use map accuracy. Photogrammetric Engineering & Remote Sensing, 43(9): 1135-1137.

Weller, M.C., M.C. Watzin, and D. Wang, 1996. Role of wetlands in reducing phosphorus loading to surface water in eight watersheds in the Lake Champlain Basin. Environ. Man. 20:731-739.

Wigmosta, M.S., L.W. Vail, and D.P. Lettenmier, 1994. A distributed hydrology-vegetation model for complex terrain. Water Resources Research, 30:1665-1680.

Williams, J.R., 1969. Flood routing with variable travel time or variable storage coefficients. Trans. ASAE 12(1):100-103.

Wischmeier, W.H., and D.D. Smith, 1978. Predicting rainfall erosion loss: A guide to conservation planning. Agricultural handbook 537. U. S. Department of Agriculture, Washington, D.C.

Wood, E.F., 1994. Scaling, soil moisture and evapotranspiration in runoff models. Advances Water Resources, 17: 25-34.

Wood, E.F., M. Sivapalan, K. Beven, and L. Band, 1988. Effects of spatial variability and scale with implications to hydrologic modeling. Journal of Hydrology, 102: 29-47.

Woolhiser, D.A., R.E. Smith, D.C. Goodrich, 1990. KINEROS, a kinematic runoff and erosion model: Documentation and user manual. U.S. Department of Agriculture, Agricultural Research Service, ARS-77, 130p. SWRC Reference No.: 703.